var bangmap = {
    _girls: [],
    _markers: [],
	initialize: function() {
		var fbUid = globUidFb;
		var fbToken = globTokenFb;
		var deviceUid = globUidDevice;

		// alert("Impossible de se connecter à Google !");
		bangmap.initializemap(fbUid, fbToken, deviceUid);
	},
	initializemap: function(fbUid, fbToken, deviceUid) {
			var result = "";
			var timelineContact = [];

			var method = "POST";
			var data = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                action:2
			};

			$.ajax({
					url: fd_const_url_contact,
					type: method,
					async: false,
					data: data,
					beforeSend: function(data) {
                        $("#loading").show();
					},
					success: function(data) {
                        result = jQuery.parseJSON(data);
                        
                        var template = "";
                        var timelineContact = new Array();

                        if (result.error.code == 0) {
                                console.log("success");
                                console.log(result);

                                template = template +
                                        "<div id='googlemap' style='width: 100%; height: 600px''></div>" +
                                        "<div class='wrap_info_girl_map'></div>";

                                var contacts = result.contacts;
                                $.each(contacts, function(i, item) {
                                    
                                    var theImage = "img/bedMap.png";
                                    if(item.uid != 0 && item.uid != "0"){
                                        theImage = profil.getImageProfil(item.uid, item.picture);
                                    }else{
                                        if(item.sexe == "0"){
                                            theImage = "img/DefaultMan.jpg";
                                        }else{
                                            theImage = "img/DefaultWoman.jpg";
                                        }
                                    }
                                    bangmap._girls[item.id] = {
                                        img: theImage,
                                        name: item.fullName,
                                        id: item.uid, 
                                        country: item.country,
                                        town: item.town,
                                        complete: item.complete
                                    };
                                    timelineContact.push([
                                        item.uid,
                                        item.pos_lat,
                                        item.pos_lon,
                                        item.fullName,
                                        item.id,
                                        theImage
                                    ]);
                                    
                                    template = template +
                                            "<div class='info_girl contact-" + item.id + "'>" +
                                                    "<span class='map_girl_name'>" + item.fullName + "</span>";
                                    if(item.uid != 0 || item.uid != '0'){
                                        template = template +
                                                    "<button href='" + item.uid + "' class='bt bt-icon gn-icon-profile action-open-profil'>" + l_file[actuLang].bmProfile + "</button>";
                                    }
                                    template = template +
                                            "</div>";
                                });
                                
                                // $("#pageBang_map").html(template);
                                pManage.completeShow("pagetest_content_menu", template);
                                console.log(timelineContact);

                                // var style = [{"featureType":"water","stylers":[{"color":"#46bcec"},{"visibility":"on"}]},{"featureType":"landscape","stylers":[{"color":"#f2f2f2"}]},{"featureType":"road","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"transit","stylers":[{"visibility":"off"}]},{"featureType":"poi","stylers":[{"visibility":"off"}]}];
                                var style=[{"stylers":[{"saturation":-100}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":50},{"visibility":"simplified"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]}];
    
                                google.maps.visualRefresh = true;
                                var mapOptions = {
                                        center: new google.maps.LatLng(46.80379,-71.24274),
                                        zoom: 2,
                                        disableDefaultUI: true,
                                        mapTypeId: google.maps.MapTypeId.ROADMAP,
                                        styles: style
                                };
                                        
                            
                                $("#pagetest_content_menu").fadeIn("slow", function(){
                                    $("#loading").hide();
                                    var map = new google.maps.Map(document.getElementById("googlemap"), mapOptions);
                                    bangmap.setMarkers(map, timelineContact);
                                    
                                    var markerCluster = new MarkerClusterer(map, bangmap._markers);
                                    markerCluster.setGridSize(90);
                                    // markerCluster.setMaxZoom(8);
                                    markerCluster.redraw();
                                    
                                });
                                
                        } else {
                                console.log("error");
                        }
					},
					error: function(data) {
							console.log("error");
					}
			});
	},
	setMarkers: function(map, locations) {
			var image = {
					url: "img/profile_map.png"
			};

			// var markers = [];
			for (var i = 0; i < locations.length; i++) {
				
					var girl = locations[i];
					
					var sImg = {
						url : girl[5],
						// url: 'images/beachflag.png',
						// This marker is 20 pixels wide by 32 pixels tall.
						size: new google.maps.Size(60, 60),
						scaledSize: new google.maps.Size(60, 60),
						// The origin for this image is 0,0.
						origin: new google.maps.Point(0,0)
					};
					
					var myLatLng = new google.maps.LatLng(girl[1], girl[2]);
					var marker= new google.maps.Marker({
							position: myLatLng,
							map: map,
							icon: sImg,
							title: girl[3],
                            data: girl[4]
					});
					
					(function(theIdd, theUid) {
						// google.maps.event.addListener(marker, 'click', function() {self.location.href = permalink;});
						google.maps.event.addListener(marker, "click", function() {
								bangmap.showInfoBoxNew(theUid);
						});
					})(girl[4], girl[0]);
	
					
					this._markers[i]=marker;
			}
	},
	showInfoBoxNew: function(contactUid){
		if(contactUid != 0 || contactUid != '0'){
			profil.getContactProfil(contactUid);
		}else{
			//alert("Profil unavailable");
			alertMessage.showOk(l_file[actuLang].mInformation, l_file[actuLang].bmProfileUnavailable, "#pagetest_content_menu");			
		}
	},
	showInfoBox: function(contactUid){
		// $(".wrap_info_girl_map").fadeIn("fast", function(){
			// var widthpage = $(window).width();
			// var widthinfogirl=$(".info_girl").width();
			// $(".info_girl").css("left", (widthpage/2) - (widthinfogirl/2));
			// alert(".contact-" + contactUid);
			// $(".contact-" + contactUid).fadeIn("fast");
		// });
		
	},
    showManyBox: function(markers){
        var template = '';
        var beforeTemplate = '';
        var finalCountry = "";
        var finalTown = "";
        template = template + 
					"<div class='grid'>";
        for(x in markers){
            finalCountry = bangmap._girls[markers[x].data].country;
            finalTown = bangmap._girls[markers[x].data].town;
            var laClassGo = 'bang-map-girls-no';
            if(bangmap._girls[markers[x].data].id != 0){
                if(bangmap._girls[markers[x].data].complete != 0){
                    laClassGo = 'bang-map-girls-go';
                }
            }
            template = template + 
			"<div class='spaceRow'></div>" +
            "<div class='row conversation bang-map-item "+laClassGo+"' data='"+bangmap._girls[markers[x].data].id+"' >" +
				"<div class='col3'>" +
					"<img src='"+bangmap._girls[markers[x].data].img+"' alt='' class='border'>" +					
				"</div>" +
				"<div class='col9'>" +
					"<div class='marginText'>" +
						"<h2>"+bangmap._girls[markers[x].data].name+"</h2>" +
					"</div>" +
				"</div>" +
			"</div>";
        }
		template = template + 
					"</div>";
        beforeTemplate ="<section id='sConversations'>" +
					"<div class='inlB'>" +
						"<div class='grid'>" +
						    "<div class='row header'>" +
								"<div class='col3'><button class='round small darkPink' id='btn-back-to-map'><i class='doe-arrowback'></i></button></div>" +
								"<div class='col6'><h1>"+finalCountry + ", " + finalTown+"</h1></div>" +
								"<div class='col3'></div>" +
							"</div>" +
						"</div>";

        template = template +
            "</div></section>";
            
        // $("#pageBang_mapList").html(beforeTemplate+template);
        // view.showSection("pageBang_mapList");
		pManage.completeShow("pagetest_content_menu", beforeTemplate+template);
		bangmap.setEventBangBack();
    },
	setEventBangBack: function(){
		$('#pagetest_content_menu').off("click", "#btn-back-to-map").on("click", '#btn-back-to-map', function(){
           bangmap.initialize();
        });		
		$('#pagetest_content_menu').off("click", ".bang-map-item").on("click", '.bang-map-item', function(){
			if($(this).hasClass("bang-map-girls-go")){
				profil.getContactProfil($(this).attr("data"));
			}else{
                alertMessage.showOk(l_file[actuLang].mInformation, l_file[actuLang].bmProfileUnavailable, "#pagetest_content_menu");	
			}
        });
	}
};