var eskimo = {
	url: fd_const_url_eskimo,
	init: function(){
        var dispMethod = 0;
        if(typeof(window.localStorage) != 'undefined'){
            if(window.localStorage.getItem("eskimoGrid") != null){
                dispMethod = window.localStorage.getItem("eskimoGrid");
            }
        }
        
        eskimo.displayEsquimo(dispMethod);
    },
    displayEsquimo: function(dispType){
        //DispType (0: Grid / 1: Mosaic)
        
        /*var sexeEskimo = [];
		sexeEskimo["M"] = "brother";
		sexeEskimo["F"] = "sister";*/
		var url = this.url;
		var method = "POST";
		var mosaic = false;
        
        if(dispType == 1){
            mosaic = true;
        }
        
		
		var data = {
			fbUid:globUidFb,
			fbToken:globTokenFb,
			deviceUid:globUidDevice,
			action:1
		};
        var htmlButton = "";
        var template = "";
		
		$.ajax({
			url: url,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				$("#loading").hide();
				
				console.log(data);
				var result = jQuery.parseJSON(data);
                
				if (result.error.code == 0 || result.error.code == 50 || result.error.code == 51) {
				
					var title = l_file[actuLang].eskimoBro;
					if(result.global.genre == "F"){
						title = l_file[actuLang].eskimoSis;
					}
                    
					if(mosaic == true){
                        // mosaic
                        htmlButton = "<button class='round small pink' id='btnSwitchToEskimoList'><i class='doe-list'></i></button> " +
                                        "<button class='round small pink isSelected'><i class='doe-slideshows'></i></button>";
					}else{
                        // List
                        htmlButton = "<button class='round small pink isSelected'><i class='doe-list'></i></button> " +
                                        "<button class='round small pink' id='btnSwitchToEskimoMosa'><i class='doe-slideshows'></i></button>";
                    }
                    
					template = "<section id='sEbros'>" +
                                    "<div class='inlB'>" +
                                        "<div class='grid'>" +
                                            "<div class='row header'>" +
                                                "<div class='col3'><button class='round small darkPink js_goto_home'><i class='doe-arrowback'></i></button></div>" +
                                                "<div class='col6'><h1>"+title+"</h1></div>" +
                                                "<div class='col3'></div>" +              
                                            "</div>" +
                                            "<div class='row displayOpts'>" +
                                                "<div class='col3'></div>" +
                                                "<div class='col6'>" +
                                                    htmlButton +
                                                "</div>" +
                                                "<div class='col3'></div>" +
                                            "</div>";
                                    
                    if(mosaic == true){
                        template = template + 
                                        "</div>";
                    }
					if(result.error.code == 0)
					{
                        var eskimos = result.eskimos;
                        if(mosaic == true){
                            var y = 0;
                            var limitByMosaic = 3;
                            $.each(eskimos, function(i, item) {
                                y++;
                                if(y==1){
                                    //AddStart
                                    template = template + 
                                        "<div class='grid mosaic'>" +
                                            "<div class='row'>";
                                }
                                
                                template = template + 
                                        "<div class='col4'>" +
                                            "<div class='centerMosaic'>" +
                                                "<img class='border' src='" + profil.getImageProfil(item.uid, item.picture) + "' alt=''>" +
                                                "<h2>"+item.name+"</h2>" +
                                                "<div class='round small pinkLabelOnly number'>"+item.nb+"</div>" +
                                            "</div>" +
                                        "</div>";
                                
                                if(y==limitByMosaic){
                                    //AddEnd
                                    template = template + 
                                            "</div>" +
                                        "</div>";
                                                                            
                                    //Reset y
                                    y=0;
                                }
                                
                            });
                            
                            //Si pas atteint la fermeture
                            if(y != 0){
                                if(y == 1){
                                    template = template + 
                                        "<div class='col4'></div>" +
                                        "<div class='col4'></div>";
                                }
                                if(y == 2){
                                    template = template + 
                                        "<div class='col4'></div>";
                                }
                                template = template + 
                                        "</div>" +
                                    "</div>";
                            }
                        }else{
                            
                            $.each(eskimos, function(i, item) {
                                var agge = item.age;
                                template = template + 
                                    "<div class='spaceRow'></div>" +
                                    "<div class='row list'>" +
                                        "<div class='col3'><img class='border' src='" + profil.getImageProfil(item.uid, item.picture) + "'></div>" +
                                        "<div class='col6 text-left'>" +
                                            "<div class='marginText'>" +
                                                "<h2>"+item.name+", <span class='age'>"+agge+"</span></h2>" +
                                            "</div>" +
                                        "</div>" +
                                        "<div class='col3'>" +
                                            "<div class='round small pinkLabelOnly number'>"+item.nb+"</div>" +
                                        "</div>" +
                                    "</div>";
                            });
                        }
                        
					}
                    
                    if(mosaic == false){
                        template = template + 
                            "</div>";
                    }
                    
                    if(result.error.code == 51)	//Pas d'eskimos
					{
							template = template + 
								"<h1 style='font-size:1em;'>" + l_file[actuLang].eskimoNoMatch + "</h1>";
					}else if(result.error.code == 50)
					{
							template = template + 
								"<h1 style='font-size:1em;'>" + l_file[actuLang].eskimoNotEnough + "</h1>";
					}
					
                    template = template +
							"</div>" +
						"</section>";

				} else {
					// result.eskimos.nb
					console.log("error");
					alert("Probleme");
				}       

                pManage.completeShow("pagetest_content_menu", template);
                eskimo.setEventForEskimo();
                            
			},
			error: function(data) {
				console.log("error");
			}
		});
        
    },
    setEventForEskimo: function(){
        
        $('#pagetest_content_menu').off("click", "#btnSwitchToEskimoMosa").on("click", '#btnSwitchToEskimoMosa', function(){
            //To Mosaic
            window.localStorage.setItem("eskimoGrid", 1);
            eskimo.displayEsquimo(1);
        });
        
        $('#pagetest_content_menu').off("click", "#btnSwitchToEskimoList").on("click", '#btnSwitchToEskimoList', function(){
            //To List
            window.localStorage.setItem("eskimoGrid", 0);
            eskimo.displayEsquimo(0);
        });
        
        $('#pagetest_content_menu').off("click", ".js_goto_home").on("click", '.js_goto_home', function(){
            profil.initialize();
        });
    }
};

