var message = {
    initialize: function(contactUid) {
			var fbUid = 111;
			var fbToken = 111;
			var deviceUid = 111;

			this.getMessages(fbUid, fbToken, deviceUid, contactUid);
    },
    getMessages: function(fbUid, fbToken, deviceUid, contactUid) {
			var method = "GET";
			var data = {
				fbUid:fbUid,
				fbToken:fbToken,
				deviceUid:deviceUid,
				contactUid:contactUid,
				action:3
			};

			$.ajax({
				url: fd_const_url_messageFull,
				type: method,
				data: data,
				beforeSend: function(data) {
						$("#loading").show();
				},
				success: function(data) {
					$("#loading").hide();

					var result = jQuery.parseJSON(data);
					var template = "";

					if (result.error.code == 0) {
						template = template + 
								"<div class='page-inside'>" +
										"<h1>Message</h1>";

						var message = result.message;
						$.each(message, function(i, item) {
								template = template + 
										"<div class='page-inside'>" +
												"<h1>" + item.sender + "</h1>" +
												"<span>" + item.sended + "</span>" + 
												"<p>" + item.content + "</p>"
										"</div>";
						});

						template = template + 
										"<textarea id='newMessage'></textarea>" + 
										"<button href='" + result.other.uid + "' class='sendNewMessage bt bt-icon gn-icon-profile'>Envoyer</button>" +
										"<button href='" + result.other.uid + "' class='profilContact bt bt-icon gn-icon-profile'>Envoyer</button>" +
										"<div style='clear:both;'></>" +
								"</div>";

						$("#pageMessage-content").html(template);
						$("#pageMessage-content").fadeIn("slow");
					} else {
						console.log("error");
					}       
				},
				error: function(data) {
					console.log("error");
				}
			});

        
    },
    checkMessages: function() {
			var fbUid = 111;
			var fbToken = 111;
			var deviceUid = 111;
			var lengthMessages = 0;

			var method = "GET";
			var data = {
				fbUid:fbUid,
				fbToken:fbToken,
				deviceUid:deviceUid,
				action:1
			};
			
			$.ajax({
				url: fd_const_url_messageFull,
				type: method,
				async: false,
				data: data,
				success: function(data) {
					var result = jQuery.parseJSON(data);

					if (result.error.code == 0) {
						lengthMessages = result.message;
					}
				}
			});

			return lengthMessages;
    },
    sendMessage: function(contactUid, content) {
			var fbUid = 111;
			var fbToken = 111;
			var deviceUid = 111;

			var method = "GET";
			var data = {
				fbUid:fbUid,
				fbToken:fbToken,
				deviceUid:deviceUid,
				contactUid:contactUid,
				message:content,
				action:4
			};

			$.ajax({
				url: fd_const_url_messageFull,
				type: method,
				data: data,
				beforeSend: function(data) {
					$("#loading").show();
				},
				success: function(data) {
					$("#loading").hide();

					var result = jQuery.parseJSON(data);

					if (result.error.code == 0) {
						console.log("sauvegarder");
						alert("Votre message a bien été envoyé");
						message.initialize(contactUid);
					} else {
						console.log("error");
					}
				},
				error: function(data) {
						console.log("error");
				}
			});
    }
};