var news = {
    initialize: function() {
        this.getNews();
    },
    getNews: function() {
        var method = "POST";
        var data = {
            action:1
        };
 
        $.ajax({
            url: fd_const_url_news,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                var result = jQuery.parseJSON(data);
                var template = "";

                if (result.error.code == 0) {
                    template = template + 
                        "<div class='page-inside'>" +
                            "<h1>News</h1>" +
                        "</div>";

                    var news = result.news;
                    $.each(news, function(i, item) {
                 		template = template + 
							"<div class='page-inside'>" +
								"<h1>" + item.title + "</h1>" +
								"<span>" + item.posted + "</span>" + 
								"<p>" + item.content + "</p>"
							"</div>";
                    });

                    $("#pageNews-content").html(template);
                    $("#pageNews-content").fadeIn("slow");
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    }
};