
var oPicsProfile = {
    
    displayChoice: function(){
        var htmlFrame = '<div class="" id="theFrameFullScreenFix">' +
                            '<div id="frameBlackFullScreen">' +
                                '<h1>Add photo</h1>' +
                                '<br />' +
                                '<div class="bt_nav_normal">' +
                                    '<span class="bt_left" id="" onclick="oPicsProfile.showCamera()">Camera</span>' +
                                '</div>' +
                                '<br />' +
                                '<div class="bt_nav_normal">' +
                                    '<span class="bt_left" id="" onclick="oPicsProfile.showLibrary()">Library</span>' +
                                '</div>' +
                                '<br />' +
                                '<div class="bt_nav_normal">' +
                                    '<span class="bt_left" id="" onclick="oPicsProfile.closeDisplayChoice()">Cancel</span>' +
                                '</div>' +
                            '</div>' +
                        '</div>';
        
        $(htmlFrame).hide().appendTo('#pagehome-content').fadeIn(1000);
    },
    closeDisplayChoice: function(){
        $('#theFrameFullScreenFix').fadeOut(1000, function(){
            $(this).remove();
        });
    },
    showLibrary: function(){
        navigator.camera.getPicture(oPicsProfile.successPic, oPicsProfile.failPic, {
            limit: 1,
            targetWidth: 1200,
            targetHeight: 1200,
            quality: 75,
            correctOrientation: true,
            cameraDirection: Camera.Direction.FRONT,
            destinationType: navigator.camera.DestinationType.DATA_URL,
            sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
            mediaType : Camera.MediaType.PICTURE
        });
    },
    showCamera: function(){
        navigator.camera.getPicture(oPicsProfile.successPic, oPicsProfile.failPic, {
            limit: 1,
            targetWidth: 1200,
            targetHeight: 1200,
            quality: 75,
            correctOrientation: true,
            cameraDirection: Camera.Direction.FRONT,
            allowEdit: true,
            saveToPhotoAlbum: true,
            destinationType: navigator.camera.DestinationType.DATA_URL,
            sourceType : Camera.PictureSourceType.CAMERA,
            mediaType : Camera.MediaType.PICTURE
        });
    },
    failPic: function(){
        
    },
    successPic: function(pic){
        
        $('#Gallery').prepend("<li><a href='' onclick='alert(\"Reload profile to delete this picture !\");return false;'><img src='data:image/jpeg;base64,"+pic+"' alt='' /></a></li>");
        $('#imEmptySectionPhotos').remove();
        
        oPicsProfile.closeDisplayChoice();
        
        var method = "POST";
        
        $.ajax({
            type: method,
            url:fd_const_url_user,
            data: {
                image: pic,
                action:5,
                fbUid:globUidFb,
                fbToken:globTokenFb,
                deviceUid:1337
            },
            success: function(data){
            },error: function(e){
                alert("Error ajax successPic");
            }
        });
    },
    confirmDelPic: function(uidPic){
        if(confirm("Are you sure to delete this picture ?")){
            $('#aPicProfile-'+uidPic).remove();
            oPicsProfile.delPic(uidPic);
        }
        return false;
    },
    delPic: function(uidPic){
        var method = "POST";
        $.ajax({
            type: method,
            url:fd_const_url_user,
            data: {
                uidPic: uidPic,
                action:6,
                fbUid:globUidFb,
                fbToken:globTokenFb,
                deviceUid:1337
            },
            success: function(data){
            },error: function(e){
                alert("Erreur");
            }
        });
    }
};