var contact = {
    initialize: function() {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;

        this.getContacts(fbUid, fbToken, deviceUid);
    },
    deleteContact: function(contactUid) {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        
        var method = "POST";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            contactUid:contactUid,
            action:4
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();
                
                var result = jQuery.parseJSON(data);
                var template = "";

                if (result.error.code == 0) {
                    console.log(data);
                    alert("Le contact a t retir de votre Timeline");
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    getContacts: function(fbUid, fbToken, deviceUid) {
        var method = "POST";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            action:1
        };
 
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                window.localStorage.setItem("contacts", data);

                var result = jQuery.parseJSON(data);
								console.log(result);
                var template = "";

                if (result.error.code == 0) {
                    template = "<div class='grid'>" +
                                    "<div class='row header frameFixTopPage '>" +
                                        "<div class='col3'><button class='round small darkPink js_goto_form_meet_up'><i class='doe-arrowback'></i></button></div>" +
                                        "<div class='col6'><input type='text' id='txt_select_history' class='dotted iAmTheSearch' placeholder='" + l_file[actuLang].gSearch + "'></div>" +
                                        "<div class='col3'></div>" +              
                                    "</div>"
                                "</div>" +
                                "<div class='grid'>";

                    var contacts = result.contacts;
                    $.each(contacts, function(i, item) {
						if(i == 0){
                            template = template +
                                "<div class='spaceRowBeginFBAdd'></div>";
                        }
					
                        template = template + 
                                            "<div class='a-contact' data='"+ item.uid +"' data-name='"+item.name+"'>" +
                                                "<div class='spaceRow'></div>" +
                                                "<div class='row'>" +
                                                    "<div class='col3'>" +
                                                        "<div class='fbImgBox'>" +
                                                            "<img class='border jsGoToProfileByTH' data-uid='"+ item.uid +"' src='" + profil.getImageProfil(item.uid, item.picture) + "'>" +
                                                        "</div>" +
                                                    "</div>" +
                                                    "<div class='col6 text-left'>" +
                                                        "<div class='marginText'>" +
                                                            "<h2>"+item.name+"</h2>" +
                                                        "</div>" +
                                                    "</div>" +
                                                    "<div class='col3'>" +
                                                        "<button class='round small pink pull-right jsBtnGoConvByTH' data-uid='"+ item.uid +"'><i class='doe-conversation'></i></button>" +
                                                    "</div>" +
                                                "</div>" +
                                            "</div>";
													
													// "<li class='btn_profilContact a-contact' data='"+ item.uid +"' data-name='"+item.name+"'>" +
														// "<span class='wrap_img'><img src='" + profil.getImageProfil(item.uid, item.picture) + "'></span>" +  
														// "<span>" + item.name + "</span>" +
													// "</li>";
                    });

                    template = template + 
										"</div>";

                    pManage.completeShow("pagetest_content_menu", template);
					contact.eventShowMeetUpList();
                    
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    eventShowMeetUpList: function() {
		$('#pagetest_content_menu').off("click", ".jsGoToProfileByTH").on("click", '.jsGoToProfileByTH', function(){
            // alert();
            profil.getContactProfil($(this).data("uid"));
        });
		$('#pagetest_content_menu').off("click", ".jsBtnGoConvByTH").on("click", '.jsBtnGoConvByTH', function(){
            // alert($(this).data("uid"));
			//~~ Audrey
			$("#tableContainer").addClass("conversation");
			//~~ //Audrey
            inbox.getConv($(this).data("uid"));
        });
		$('#pagetest_content_menu').off("click", ".js_goto_form_meet_up").on("click", '.js_goto_form_meet_up', function(){
            // alert($(this).data("uid"));
            meetUp.showSettingMeetUp();
        });
        
        $("#pagetest_content_menu").off("keyup", "#txt_select_history").on("keyup", "#txt_select_history", function(){
            var search = $("#txt_select_history").val();
            contact.searchContact(search);
        });
		
	},
    getContactsOld: function(fbUid, fbToken, deviceUid) {
        var method = "POST";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            action:1
        };
 
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                window.localStorage.setItem("contacts", data);

                var result = jQuery.parseJSON(data);
								console.log(result);
                var template = "";

                if (result.error.code == 0) {
                    template = 
											"<div class='filtre_contender_huntime'>" +
												"<div class='bt_top_contender active'><i class='fa fa-list-ul fa-2x'></i></div>" +
												"<div class='bt_hunt-time' id='btn_top_hunt_time'><i class='fa fa-crosshairs fa-2x'></i></div>" +
											"</div>" +
											"<h1>Top Contenders</h1>" +
											"<form id='searchform' name='searchform' method='post' action='#' onsubmit='return false;'>" +
													"<div class='fieldcontainer'>" +
															"<input type='text' name='contactSearch' id='contactSearch' class='searchfield' tabindex='1' placeholder='Search...'>" +
															"<input type='submit' name='searchbtn' id='searchbtn' value='Search'>" +
													"</div>" +
											"</form>" +
											
											"<ul class='list_contact'>";

                    var contacts = result.contacts;
                    $.each(contacts, function(i, item) {
                        template = template + 
													"<li class='btn_profilContact a-contact' data='"+ item.uid +"' data-name='"+item.name+"'>" +
														"<span class='wrap_img'><img src='" + profil.getImageProfil(item.uid, item.picture) + "'></span>" +  
														"<span>" + item.name + "</span>" +
													"</li>";
                    });

                    template = template + 
											"</ul>";

                    $("#pageContact-content").html(template);
                    $("#pageContact-content").fadeIn("slow");
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    searchContact: function(search) {
        $("#pagetest_content_menu div.a-contact").each(function() {
            var name = $(this).attr("data-name");

            if(!name.match(new RegExp(search, "i"))) {
                $(this).hide();
            } else{
                $(this).show();
            }
        });
    }
};