
var imDTF = {
    _dist : 15,
    _age1 : 20,
    _age2 : 30,
    theDTFDateSet : null,
    initPageDTF: function(){
        this.getTempsRestant(this.showMainScree);
    },
    showMainScree: function(){
        var theTime = gloTimeLeftDTF;
        // var distance = gloTmpDTFDist;
        // var ageMin = gloTmpDTFAMin;
        // var ageMax = gloTmpDTFAMax;
        
        var tmpForTimerDtf = "";
        var secSelDTF = "";
        
        if(theTime > 0){
            tmpForTimerDtf = "<div class='timer'><span id='timeTimeLeft'>--:--:--</span></div>";
            secSelDTF = "checked='checked'";
            imDTF.startTimeoutTimeLeft();
        }else{
            var dFound = [];
        }
        
        var template = "<h1>" + l_file[actuLang].imDownTitle + "</h1>" +
                        "<h3>" + l_file[actuLang].imDownDescription + "</h3>" +
                        "<div class='switch' id='dtf_active' data='toCheckVisible'>" +
                            "<input type='checkbox' id='switch' "+secSelDTF+" />" +
                        "</div>" +
                        tmpForTimerDtf + 
                        // "<div class='timer'><span id='timeTimeLeft'>60:00:00</span></div>" +
                        "<div id='smallButtonLine'>" +
                            "<button class='darkPink round small' id='imBtnParamDtf'><span class='doe-parameters'></span></button>" +
                        "</div>" +
                        "<div id='mainImDownList'>" +
                            
                            
                            
                        "</div>";
        
        pManage.completeShow("pagetest_content_menu", template);
        imDTF.triggerEvent();
        
        //ON SEARCH !
        imDTF.searchDTF();
    },
    triggerEvent: function(){
        
        $('#pagetest_content_menu').off("click", "#imBtnParamDtf").on("click", '#imBtnParamDtf', function(){
            imDTF.showSettingDtf();
        });
        
        $("#switch").switchbutton({
            classes: 'ui-switchbutton-ios5',
            labels: false
        })
        .change(function(){
            if($(this).prop("checked")){
                //On active !
                imDTF.startFromDTF();
            }else{
                //On désactive !
                imDTF.exitFromDTF();
            }
        });
        
    },
    showSettingDtf: function(){
        var template = "<section id='sMeetUp'>" +                            
							"<h1>" + l_file[actuLang].imDownTitle + "</h1>" +                                
							"<h3>" + l_file[actuLang].imDownDistance + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theDistPart'>" + this._dist + "</span> km</p>" +
								"<div class='listenSlider' id='listenSliderDist'></div>" +						   
							"</div>" +
							"<h3>" + l_file[actuLang].imDownAgeMin + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theAge1Part'>" + this._age1 + "</span></p>" +
								"<div class='listenSlider' id='listenSliderAge1'></div>" +							
							"</div>" +
							"<h3>" + l_file[actuLang].imDownAgeMax + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theAge2Part'>" + this._age2 + "</span></p>" +
								"<div class='listenSlider' id='listenSliderAge2'></div>" +	
							"</div>" +
                            
                            "<div class='boxBtnCenter'>" +
								"<button id='imDownBtn' class='round pink medium centerButton'><i class='doe-meetup'></i></button>" +
							"</div>" +   
                           
                        "</section>";
        
        pManage.completeShow("pagetest_content_menu", template);
        imDTF.eventShowSettingDtf();
    },
    eventShowSettingDtf: function(){
        var dist = this._dist;
        var age1 = this._age1;
        var age2 = this._age2;
        $("#listenSliderDist").slider({
            orientation: "horizontal",
            value: dist,
            range: "min",
            min : 15,
            max : 60,
            step: 15,
            animate: true,
            slide: function(event, ui){
                $('#theDistPart').html(ui.value);
                imDTF._dist = ui.value;
            }
        });
        $("#listenSliderAge1").slider({
            orientation: "horizontal",
            value: age1,
            range: "min",
            min : 18,
            max : 99,
            animate: true,
            slide: function(event, ui){
                $('#theAge1Part').html(ui.value);
                imDTF._age1 = ui.value;
            }
        });
        $("#listenSliderAge2").slider({
            value: age2,
            orientation: "horizontal",
            range: "min",
            min : 18,
            max : 99,
            animate: true,
            slide: function(event, ui){
                $('#theAge2Part').html(ui.value);
                imDTF._age2 = ui.value;
            }
        });

        
        $('#imDownBtn').on("click", function(event, ui){
            imDTF.initPageDTF();
        });
        
    },
    exitFromDTF: function(){
        var oImDtf = this;
        var method = "POST";
        var data = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:90
        };
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                gloTimeLeftDTF = 0;
                oImDtf.expireDtf();
                //TODO
            },
            error: function(data) {
                alert("impossible to leave DTF.");
            }
        });
    },
    startFromDTF: function(){
        
        var method = "POST";
        var data = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:91
        };
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                imDTF.initPageDTF();
            },
            error: function(data) {
                alert("impossible to leave DTF.");
            }
        });
    },
    getTempsRestant: function(callBack){
        gloTimeLeftDTF = 0;
        var oImDtf = this;
        
        var method = "POST";
        var data = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:92
        };
        
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0){
                    if(result.global.isHunt == "1"){
                        
                        oImDtf.theDTFDateSet = result.global.dTime;
                        oImDtf.calculTimeLeft();
                        
                    }
                    callBack();
                }
            },
            error: function(data) {
                alert("getTempsRestant.");
            }
        });
        
    },
    startTimeoutTimeLeft: function(){
        if(gloTimeLeftDTF > 0){
        
            if(timeDTF_Start != null){
                //Timer deja setter !
            }else{
                //Set timer
                timeDTF_Start = setInterval(function(){
                    imDTF.updateDisplayTime();
                },
                1000);
            }
        }
    },
    searchDTF: function(){
        // var dist = gloTmpDTFDist = $('#sel_searchDTF_dist').val();
        // var age1 = gloTmpDTFAMin = $('#sel_searchDTF_age1').val();
        // var age2 = gloTmpDTFAMax = $('#sel_searchDTF_age2').val();
        var dist = this._dist;
        var age1 = this._age1;
        var age2 = this._age2;
        var unit_dist = "miles";
        var method = "POST";
        var data = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:1,
            unit_dist:unit_dist,
            dist:dist,
            age1:age1,
            age2:age2
        };
        $.ajax({
            url: fd_const_url_searchDTF,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0){
                    
                    window.localStorage.setItem("varGloListFindDTF", data);
                    imDTF.displayResultDTF(1);
                    
                }else{
                    
                }
            },
            error: function(data) {
                alert("err_searchDTF");
                var result = jQuery.parseJSON(data);								
                alert(result);								
                $("#loading").hide();
                console.log("error");
            }
        });
    },
    displayResultDTF: function(typ){

        var theDtfRes = window.localStorage.getItem('varGloListFindDTF');
        var tmpD = jQuery.parseJSON(theDtfRes);
        var lesResultDTF = tmpD.data;
        
        if(lesResultDTF.length > 0){

            //Init Grid
            var resData = "" +
            "<section id='sConversations'>" +
                "<div class='inlB'>" +
                    "<div class='grid'>";
            
            $.each(lesResultDTF, function(i, item) {
                
                var tmpPics = "http://api.dateorelse.com/img/profil/"+item.uid+"/"+item.pic;
                if(item.pics.length > 0){
                    $.each(item.pics, function(i, mitem) {
                        tmpPics = tmpPics + "," + "http://api.dateorelse.com/img/profil/" + item.uid + "/" + mitem;
                    });
                }
                
                resData += "" +
                    "<div class='spaceRow'></div>" +
                    "<div class='row list'>" +
                        "<div class='col3 ima_zone_click_profil' data='"+item.uid+"'><img class='border' src='" + profil.getImageProfil(item.uid, item.pic) + "'></div>" +
                        "<div class='col6 text-left'>" +
                            "<div class='marginText'>" +
                                "<h2>"+item.name+", <span class='age'> ("+item.km+"km)</span></h2>" +
                            "</div>" +
                        "</div>" +
                        "<div class='col3'>" +
                            "<button class='round small pink pull-right ima_zone_click_msg' data='"+item.uid+"'><i class='doe-conversation'></i></button>" +
                        "</div>" +
                    "</div>";
                
                
                /* 
                resData += "" +
                "<div class='items_resultat_dtf'>" +
                    "<div class='wrap_photo_dtf' onclick='hunttime.showFullScreen(\""+tmpPics+"\");'>" +
                        "<img src='" + profil.getImageProfil(item.uid, item.pic) + "' alt=''/>" +
                    "</div>" +
                    "<div class='wrap_info_dtf'>" +
                        "<span>"+item.name+"</span><span> ("+item.km+"km)</span>" +
                    "</div>" +
                    "<div class='wrap_bt_dtf'>" +
                        "<span class='ima_zone_click_msg' data='"+item.uid+"'><i class='fa fa-comments fa-lg'></i></span>" +
                        "<span class='ima_zone_click_profil' data='"+item.uid+"'><i class='fa fa-book fa-lg'></i></span>" +
                    "</div>" +
                "</div>" +
                "";
                 */
            });
            
            //End Grid
            resData += "" +
                    "</div>" +
                "</div>" +
            "</section>";
            
            $('#mainImDownList').html(resData);
            imDTF.setEventForListDtf();
            
        }else{
            $('#mainImDownList').html("");
            if(typ==1){
                //alert("No match found");
				alertMessage.showOkEndTuto(l_file[actuLang].mInformation, l_file[actuLang].imDownNoMatch, "#pagetest_content");
            }
        }
    },
    setEventForListDtf: function(){
        $("#pagetest_content_menu").off("click", ".ima_zone_click_profil").on("click", ".ima_zone_click_profil", function(){
            var contactUid = $(this).attr("data");
            profil.getContactProfil(contactUid);
        });
        
        $("#pagetest_content_menu").off("click", ".ima_zone_click_msg").on("click", ".ima_zone_click_msg", function(){
            var contactUid = $(this).attr("data");
            inbox.getConv(contactUid);
        });
        
    },
    updateDisplayTime: function(){
        //Verification qu'on est toujours dans la bonne page !
        if(typeof($('#dtf_active').attr('data')) != "undefined"){
            msRestant = this.calculTimeLeft();
            if(msRestant > 0){
                $('#timeTimeLeft').html(showTime(msRestant));
            }else{
                imDTF.expireDtf();
            }
        }else{
            imDTF.stopTimeoutTimeLeft();
        }
    },
    expireDtf: function(){
        imDTF.stopTimeoutTimeLeft();
        imDTF.showMainScree();
    },
    calculTimeLeft: function(){
        var theNow = +new Date();
        // var sqlDateStr = "2014-05-02 15:02:00";
        // alert(this.theDTFDateSet);
        var sqlDateStr = this.theDTFDateSet;
        var futurTime = getTimeS(sqlDateStr);
        return gloTimeLeftDTF = futurTime - theNow;
    },
    stopTimeoutTimeLeft: function(){
        if(timeDTF_Start!=null){
            clearInterval(timeDTF_Start);
            timeDTF_Start=null;
        }
    },
    noWay: function(){
        
    }
};