var extObjTimerFindPeople = null;

var meetUp = {
    _dist : 15,
    _age1 : 20,
    _age2 : 30,
    _nbSecIntList : 2000,
    _nbIntDone: 0,
    _myIntervalList : null,
    _mySwiper : null,
    _gloArrFindTop : null,
    
    showSettingMeetUp: function(){
        
        var template = "<section id='sMeetUp'>" +                            
							"<h1>" + l_file[actuLang].meetUpTitle + "</h1>" +                                
							"<h3>" + l_file[actuLang].meetUpDistance + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theDistPart'>" + this._dist + "</span> km</p>" +
								"<div class='listenSlider' id='listenSliderDist'></div>" +						   
							"</div>" +
							"<h3>" + l_file[actuLang].meetUpAgeMin + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theAge1Part'>" + this._age1 + "</span></p>" +
								"<div class='listenSlider' id='listenSliderAge1'></div>" +							
							"</div>" +
							"<h3>" + l_file[actuLang].meetUpAgeMax + "</h3>" +
							"<div class='centerInPage'>" +
								"<p class='output'><span class='number' id='theAge2Part'>" + this._age2 + "</span></p>" +
								"<div class='listenSlider' id='listenSliderAge2'></div>" +	
							"</div>" +
                            /*
							"<h3>Interested in</h3>" +                         
							"<div class='sexChoiceWrap'>" +
								"<div class='sexChoice'>" +
									// "<input type='checkbox' name='look_for' id='boys' class='manCheckbox' value='1'><div class='borderOnLabel'><label for='boys' data-who='boys' class='jsClickerLabel manLabel pink'><span class='doe-man'></span></label></div>" +
									"<input type='checkbox' name='look_for' id='boys' class='manCheckbox' value='1' checked='checked'><div class='borderOnLabel'><label for='boys' data-who='boys' class='jsClickerLabel manLabel pink isChecked'><span class='doe-man'></span></label></div>" +
									"<div class='borderOnLabel'><div class='space'></div></div>" +
									"<input type='checkbox' name='look_for' id='girls' class='womanCheckbox' value='2'><div class='borderOnLabel'><label for='girls' data-who='girls' class='jsClickerLabel womanLabel pink'><span class='doe-woman'></span></label></div>" +
								"</div>" +
							"</div>" +                     
                            */
							"<div class='boxBtnCenter'>" +
								"<button id='meetupBtn' class='round pink medium centerButton'><i class='doe-meetup'></i></button>" +
							"</div>" +   

							"<div class='historyBox'>" +
								"<button id='js_show_history_meet_up' class='roundCorner darkPink'><span class='doe-list'></span>" + l_file[actuLang].meetUpHistory + "</button>" +
							"</div>" +                            
                        "</section>";
        
        pManage.completeShow("pagetest_content_menu", template);
        meetUp.eventShowSettingMeetUp();
    },
    eventShowSettingMeetUp: function(){
        
        //Vider l'ancienne recherche !
        // window.localStorage.setItem("varGloListFindHunt", null);
        
        // window.localStorage.removeItem("facebook_id");
        
        var dist = this._dist;
        var age1 = this._age1;
        var age2 = this._age2;
        $("#listenSliderDist").slider({
            orientation: "horizontal",
            value: dist,
            range: "min",
            min : 15,
            max : 60,
            step: 15,
            animate: true,
            slide: function(event, ui){
                $('#theDistPart').html(ui.value);
                meetUp._dist = ui.value;
            }
        });
        $("#listenSliderAge1").slider({
            orientation: "horizontal",
            value: age1,
            range: "min",
            min : 18,
            max : 99,
            animate: true,
            slide: function(event, ui){
                $('#theAge1Part').html(ui.value);
                meetUp._age1 = ui.value;
            }
        });
        $("#listenSliderAge2").slider({
            value: age2,
            orientation: "horizontal",
            range: "min",
            min : 18,
            max : 99,
            animate: true,
            slide: function(event, ui){
                $('#theAge2Part').html(ui.value);
                meetUp._age2 = ui.value;
            }
        });

        
        $('#meetupBtn').on("click", function(event, ui){
            // alert("Search");
            meetUp.search();
            meetUp.displayMeetUp();
        });
        
        
		$('#js_show_history_meet_up').on("click", function(event, ui){
            // alert("Search");
            contact.initialize();
        });
        
    },
    search: function(){
        var dist =  this._dist;
        var age1 = this._age1;
        var age2 = this._age2;
        
        var unit_dist = "miles";
        
        var method = "POST";
        var data = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:1,
            unit_dist:unit_dist,
            dist:dist,
            age1:age1,
            age2:age2
        };
        
        // alert(JSON.stringify(data));
        // var soRes = jQuery.parseJSON(data);
        $.ajax({
            url: fd_const_url_searchNew,
            type: method,
            data: data,
            beforeSend: function(data){
            },
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0){
                    window.localStorage.setItem("varGloListFindHunt", data);
                }else{
                    
                }
            },
            error: function(data) {
                alert("error searchHuntTime");
                var result = jQuery.parseJSON(data);								
                alert(result);								
                $("#loading").hide();
                console.log("error");
            }
        });
        /*
        */
    },
    displayMeetUp: function(){
        
        var template = "<div id='zoneMeetUp'><div class='spinner'>" +
                            "<svg width='200px' height='200px' viewBox='-26 -26 100 100' class='spinner_svg'>" +
                                "<defs></defs>" +
                                "<g id='Page-1' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'>" +
                                    "<g id='Group' transform='translate(2.000000, 2.000000)' stroke='#FFFFFF'>" +
                                        "<circle id='Oval-1' stroke-width='4' cx='22.5' cy='22.5' r='22.5'></circle>" +
                                        "<circle id='Oval-2' cx='22.5' cy='22.5' r='22.5' stroke-width='1.5'></circle>" +
                                        "<circle id='Oval-3' cx='22.5' cy='22.5' r='22.5' stroke-width='1.5'></circle>" +
                                        "<circle id='Oval-4' cx='22.5' cy='22.5' r='22.5' stroke-width='1.5'></circle>" +
                                    "</g>" +
                                "</g>" +
                            "</svg>" +
                        "</div></div>";
        
        
        pManage.completeShow("pagetest_content_menu", template);
        meetUp.eventShowMeetUp();
        
    },
    eventShowMeetUp: function(){
        extObjTimerFindPeople = setInterval(meetUp.checkNewList, meetUp._nbSecIntList);
        
    },
    checkNewList: function(){
        var tmpListMeetUp = window.localStorage.getItem("varGloListFindHunt");
        var tmpJsonData = jQuery.parseJSON(tmpListMeetUp);
		if(tmpJsonData.data.length > 0){
			oSlideux.init(tmpListMeetUp);
			clearInterval(extObjTimerFindPeople);
			extObjTimerFindPeople = null;
			meetUp.showPile();
			oSlideux.actualiseByPara();
		}else{
            meetUp._nbIntDone++;
            if(meetUp._nbIntDone > 4){
                clearInterval(extObjTimerFindPeople);
                meetUp.showNoResult();
                meetUp._nbIntDone = 0;
            }
		}
    },
    showNoResult: function(){
        var htmlFrame = "<h1 style='font-size:1em;'>" + l_file[actuLang].meetUpNoMatch + "</h1>" +
                            "<br><button class='round small darkPink js_goto_back_meet_me'><i class='doe-arrowback'></i></button>";
        
        $('#zoneMeetUp').empty();
        $('#zoneMeetUp').html(htmlFrame);
        meetUp.eventsShowNoResult();
        
    },
    eventsShowNoResult: function(){
        
        $('.js_goto_back_meet_me').on("click", function(event, ui){
            meetUp.showSettingMeetUp();
        });
        
    },
    buildPile: function(){
        
    },
    showPile: function(){
        var template = "";
        
        var monNxt = true;
        while(monNxt){
            monNxt = oSlideux.getNxt();
            if(monNxt != false){
                var monData = monNxt;
                var tmpPics = "http://api.dateorelse.com/img/profil/"+monData.uid+"/"+monData.pic;
                
                template = template +
                    "<div class='bigContainerMeetUpPhoto' data-uid='"+monData.uid+"'>" +
                        "<h1>" + monData.name + ", " + monData.age +"</h1>" +
                        "<div id='draggable' class='ui-widget-content meForDraguable'>" +
                            "<div class='jessicaPic' style='background-image:url("+tmpPics+");background-size:cover;'></div>" +
                            "<div id='date'></div>" +
                            "<div id='no-date'></div>" +
                        "</div>" +
                    "</div>";
            }
        }
        template = template +
                "<div id='huntTimeButtonsLine'>" +
                    "<button class='metallic round no ajaxIDontLikeTheGirl'><span class='doe-close'></span></button>" +
                    "<button class='none ajaxSeeMoreFromGirl'><span class='doe-info'></span></button>" +
                    "<button class='metallic round yes ajaxILikeTheGirl'><span class='doe-done'></span></button>" +
                "</div>" +
                "<div id='smallButtonLine'>" +
                    "<button class='darkPink round small js_go_rule_meet_up'><span class='doe-parameters'></span></button>" +
                "</div>";
        
        
        $('#zoneMeetUp').empty();
        $('#zoneMeetUp').html(template);
        // pManage.completeShow("zoneMeetUp", template);
        meetUp.setEventOnActualPic();
        
    },
    setEventOnActualPic: function(){

        $('#swipePictureContainer').on('click', '.swipePicture', function(){
			var classToKeep = "";
			
			if($(this).hasClass("firstPictureModel")){
				classToKeep = "swipePicture secondPictureModel";
			}else if($(this).hasClass("secondPictureModel")){
				classToKeep = "swipePicture thirdPictureModel";
			}else if($(this).hasClass("thirdPictureModel")){
				classToKeep = "swipePicture firstPictureModel";
			}
			
			$(".swipePicture").each(function() {
				var zIndex = $(this).css('z-index');
				$(this).css('z-index', parseInt(zIndex)+1);
			});
			$(this).remove();
			$('#swipePictureContainer').append('<div class="'+ classToKeep +'" style="background-color: pink; border: 1px solid #000000; z-index: 1;"></div>');
		});
        
        
        $('#pagetest_content_menu').off("click", ".ajaxIDontLikeTheGirl").on("click", '.ajaxIDontLikeTheGirl', function(){
            var hereUid = $('.bigContainerMeetUpPhoto:first').data("uid");
            meetUp.dontLikePerson(hereUid);
            $('.bigContainerMeetUpPhoto:first').remove();
        });
        
        $('#pagetest_content_menu').off("click", ".ajaxSeeMoreFromGirl").on("click", '.ajaxSeeMoreFromGirl', function(){
            var hereUid = $('.bigContainerMeetUpPhoto:first').data("uid");
            profil.getContactProfil(hereUid);
        });
            
        $('#pagetest_content_menu').off("click", ".ajaxILikeTheGirl").on("click", '.ajaxILikeTheGirl', function(){
            var hereUid = $('.bigContainerMeetUpPhoto:first').data("uid");
            meetUp.addToTopContender(hereUid);
            $('.bigContainerMeetUpPhoto:first').remove();
        });
            
        
        $('#pagetest_content_menu').off("click", ".js_go_rule_meet_up").on("click", '.js_go_rule_meet_up', function(){
            meetUp.showSettingMeetUp();
        });
        
        // $("#draggable").draggable({
        /*
        $(".meForDraguable").draggable({
            axis: "x",
            containment: "#content",
            // Find original position of dragged image.
            start: function(event, ui) {

                // Show start dragged position of image.
                var Startpos = $(this).position();
                //$("div#start").text("START: \nLeft: "+ Startpos.left);
            },

            // Find position where image is dropped.
            stop: function(event, ui) {

                // Show dropped position.
                var Stoppos = $(this).position();
                //$("div#stop").text("STOP: \nLeft: "+ Stoppos.left);
            },
            
            drag: function(event, ui) {
                // Show the current dragged position of image
                var currentPos = $(this).position();
                //$("div#xpos").text("CURRENT: \nLeft: " + currentPos.left);
              
                var myopacity = 0;
                if(currentPos.left > 50){
                    if(currentPos.left > 100){
                        myopacity = 100/100;
                    }else{
                        myopacity = currentPos.left/100;
                    }
                    $("#date").css({ opacity: myopacity });
                    $("#no-date").css({ opacity: 0 });
                }else if(currentPos.left < 50){
                    if(currentPos.left < 0){
                        myopacity = 100/100;
                    }else{
                        myopacity = Math.abs(currentPos.left)/100;
                    }
                    $("#no-date").css({ opacity: myopacity });
                    $("#date").css({ opacity: 0 });
                }else{
                    opacity = 0;
                    $("#date").css({ opacity: myopacity });
                    $("#no-date").css({ opacity: myopacity });
                }
            }
        });
        */
    
    },
    addToTopContender: function(uidPerson){
        var fbToken = window.localStorage.getItem("facebook_accessToken");
		var fbId = window.localStorage.getItem("facebook_id");
		var globUidDevice = 1337;
		var url = "http://api.dateorelse.com/functions/addTopConNew.php";
		var method = "POST";
		var data = {
			fbUid:fbId,
			fbToken:fbToken,
			deviceUid:globUidDevice,
			uidPerson:uidPerson
		};
        
        //TODO
        //Remove from slideux !!
        
        // alert(uidPerson);
		
		$.ajax({
			url: url,
			type: method,
			data: data,
			beforeSend: function(data) {
			},
			success: function(data) {
				//TODO CHECK MATCH
                var result = jQuery.parseJSON(data);
                
                if (result.error.code == 0) {
                    if(result.data == "oui"){
                        // alert("Its a match !");
                        meetUp.displayItsAMatch(uidPerson);
                    }else{
                        // alert("Its NOT a match !");
                    }
                }
			},
			error: function(data) {
				alert("error add top con");
				console.log("error");
			}
		});
		
        oSlideux.actualiseByPara();
    },
    dontLikePerson: function(uidPerson){
        var fbToken = window.localStorage.getItem("facebook_accessToken");
		var fbId = window.localStorage.getItem("facebook_id");
		var globUidDevice = 1337;
		var url = "http://api.dateorelse.com/functions/delCon.php";
		var method = "POST";
		var data = {
			fbUid:fbId,
			fbToken:fbToken,
			deviceUid:globUidDevice,
			uidPerson:uidPerson
		};
		
		$.ajax({
			url: url,
			type: method,
			data: data,
			beforeSend: function(data) {
			},
			success: function(data) {
				
			},
			error: function(data) {
				alert("error del con");
				console.log("error");
			}
		});
		
        oSlideux.actualiseByPara();
    },
    hiddenBlocSwipe: function(){
        
    },
    displayItsAMatch: function(uidPerson){
        
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;

        var method = "POST";
        var data = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                contactUid:uidPerson,
                action:31
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                    $("#loading").show();
            },
            success: function(data) {
                
                var result = jQuery.parseJSON(data);
                console.log(result);
                var template = "";
                
                if (result.error.code == 0) {
                    
                    var monData = result.data;
                    
                    var tmpPics = "http://api.dateorelse.com/img/profil/"+monData.youUid+"/"+monData.youPic;
                    var tmpPicsYou = "http://api.dateorelse.com/img/profil/"+monData.meUid+"/"+monData.mePic;
                    var personName = monData.youName;
                    
                    var template =  "<h1>" + l_file[actuLang].meetUpMatch + "</h1>" +
                                    "<div id='matchAlikeContent'>" +
                                        "<div id='matchAlikeLeftBox'>" +
                                            "<div id='matchAlikeImageLeft'>" +
                                                "<div class='jessicaPic' style='background-image:url("+tmpPics+");background-size:cover;'></div>" +	
                                            "</div>" +
                                            "<div class='matchAlikeName'>" +
                                                "<h2>" + personName + "</h2>" +
                                            "</div>" +
                                        "</div>" +
                                        "<div id='matchAlikeRightBox'>" +
                                            "<div id='matchAlikeImageRight'>" +
                                                "<div class='johnPic' style='background-image:url("+tmpPicsYou+");background-size:cover;'></div>" +									
                                            "</div>" +
                                            "<div class='matchAlikeName'>" +
                                                "<h2>" + l_file[actuLang].meetUpYou + "</h2>" +
                                            "</div>" +
                                        "</div>" +
                                    "</div>" +
                                    "<div id='buttonSection'>" + 
                                        "<button class='pink roundCorner jsGoToChatGirl' data-uid='"+monData.youUid+"'><span class='doe-conversation'></span>" + l_file[actuLang].meetUpTalk + personName + "</button><br />" +
                                        "<button class='darkPink roundCorner jsGoToMeetUpContinue'><span class='doe-meetup'></span>" + l_file[actuLang].meetUpAgain + "</button>" +
                                    "</div>";
                                    
                    pManage.completeShow("pagetest_content_menu", template);
                    meetUp.eventShowItsAMatch();
                    
                    // oSlideux.syncBothWithPara();
                /*
                */
                }
                
            },
            error: function(data) {
                console.log("error");
            }
        });
        
    },
    eventShowItsAMatch: function(){
        
        
        //DO ANIMATION !
        $('#matchAlikeImageLeft').removeClass().addClass('animated bounceInLeft').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
            $('#matchAlikeImageLeft').removeClass().addClass('animated rotateImgLeft').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){	  
                $('#matchAlikeImageLeft').addClass('stayRotateImgLeft');
            });
        });
        $('#matchAlikeImageRight').removeClass().addClass('animated bounceInRight').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
            $('#matchAlikeImageRight').removeClass().addClass('animated rotateImgRight').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
                $('#matchAlikeImageRight').addClass('stayRotateImgRight');
            });
        });
        
        
        //SET BUTTON
        $('#pagetest_content_menu').off("click", ".jsGoToChatGirl").on("click", '.jsGoToChatGirl', function(){
            inbox.getConv($(this).data("uid"));
        });
        $('#pagetest_content_menu').off("click", ".jsGoToMeetUpContinue").on("click", '.jsGoToMeetUpContinue', function(){
            meetUp.displayMeetUp();
        });
    }
    
    /*
    function hiddenBlocSwipe(){
		// dSwipe();
		// $('#imSoInSwip').empty();
		showNextSlide();
	}
    */
}

function clone(obj) {
    if (null == obj || "object" != typeof obj) return obj;
    var copy = obj.constructor();
    for (var attr in obj) {
        if (obj.hasOwnProperty(attr)) copy[attr] = obj[attr];
    }
    return copy;
}

var oSlideux = {
    iActual: 0,
    arrData: null,
    arrDataPara: null,
    init: function(data){
        this.iActual = 0;
        var tmpD = jQuery.parseJSON(data);
        this.arrData = clone(tmpD.data);
        this.arrDataPara = clone(tmpD.data);
    },
    syncBothWithPara: function(){
        // this.arrData = this.arrDataPara;
        this.syncByPara();
    },
    showFullScreen: function(imgs){
        
        var aPics = imgs.split(",");
        //window.parent.$('#hidZoneToTest').show();
        //alert("GonnaShow");
        
        var htmlFrame = '<div class="" id="theFrameForImg">' +
                            '<h1 class="posFixToTop">Pictures</h1>' +
                            '<div id="theFrameForImgInside">' +
                                '<div class="zoneContenuShare">';
                                
        $.each(aPics, function(i, item) {
            htmlFrame = htmlFrame + 
                '<img src="'+item+'" style="height:auto;width:100%;display:block;">';
        });
        
        htmlFrame = htmlFrame + 
                                '</div>' +
                            '</div>' +
                            '<div class="bt_nav_normal" id="zoneBtnPosRel">' +
                                '<span class="bt_left" id="" onclick="$(\'#theFrameForImg\').remove();"><i class="fa fa-angle-left"></i> Back</span>' +
                            '</div>' +
                        '</div>';
                    
        window.parent.$(htmlFrame).hide().appendTo('#pageHuntTime_content').fadeIn(1000);
        
    },
    getNxt: function(){
        if(this.arrData != null){
            if(typeof(this.arrData[0])!="undefined"){
                this.sync();
                return this.arrData.shift();
            }
        }
        this.sync();
        return false;
        //return 
    },
    checkThePara: function(){
        alert(this.arrDataPara);
    },
    actualiseByPara: function(){
        if(this.popUpThePara()){
            //Let the slide continue !
        }else{
            meetUp.showNoResult();
        }
    },
    popUpThePara: function(){
        if(this.arrDataPara != null){
            if(typeof(this.arrDataPara[0])!="undefined"){
                this.syncByPara();
                return this.arrDataPara.shift();
            }
        }
        this.syncByPara();
        return false;
    },
    getList: function(){
        
    },
    sync: function(){
        var tmp = {
            "data":this.arrData
        };
        var theData = JSON.stringify(tmp);
        window.localStorage.setItem("varGloListFindHunt", theData);
    },
    syncByPara: function(){
        var tmp = {
            "data":this.arrDataPara
        };
        var theData = JSON.stringify(tmp);
        window.localStorage.setItem("varGloListFindHunt", theData);
    },
    showPanel: function(msg){
        $('#hiddenPanel').show();
        $('#hiddenPanel').html(msg);
    },
    hidePanel: function(){
        $('#hiddenPanel').hide();
    }
    // getListPics: function(data){
        // var pics = [];
        
        // return pics;
    // }
};