var params = {
	theTemplate: "pageParamettre",
    initialize: function() {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;

        this.getParams(fbUid, fbToken, deviceUid);
    },
    getParams: function(fbUid, fbToken, deviceUid) {
        var method = "GET";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            action:1
        };
				
        var orientationMan = 1;
        var orientationWoman = 2;
        var orientationBoth = 3;
				
        $.ajax({
            url: fd_const_url_params,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                var result = jQuery.parseJSON(data);
                var template = "";

                if (result.error.code == 0) {
                    var occupation = fixSinglette(result.params.description);
                    var secSelMan = "";
                    var secSelWoman = "";
                    var secSelBoth = "";
                    var secManHtm = "";
                    var secWomanHtm = "";
                    
                    if (result.params.param_orientation == orientationMan) {
                        secSelMan = "checked='checked'";
                        secManHtm = "isChecked";
                    } else if (result.params.param_orientation == orientationWoman) {
                        secSelWoman = "checked='checked'";
                        secWomanHtm = "isChecked";
                    } else if (result.params.param_orientation == orientationBoth) {
                        secSelMan = "checked='checked'";
                        secSelWoman = "checked='checked'";
                        secManHtm = "isChecked";
                        secWomanHtm = "isChecked";
                    }
                    var secSelNotif = "";
                    if(result.params.param_notif == '0' || result.params.param_notif == 0){
                        secSelNotif = "checked='checked'";
                    }
                    
                    
                    template = template +
                        "<h1><span class='doe-settings'></span>" + l_file[actuLang].paramsTitle + "</h1>" +
                        "<div class='step_form'>" +
                            
                            "<p class='sous_titre'>" + l_file[actuLang].paramsLang + "</p>" +
                            "<div id='buttonBottomSettings'>" +
                                "<button class='blue roundCorner' id='btn_go_to_french'>" + l_file[actuLang].paramsLangFr + "</button><br />" +
                                "<button class='darkPink roundCorner' id='btn_go_to_english'>" + l_file[actuLang].paramsLangEn + "</button>" +
                            "</div>" +
                            
                            "<p class='sous_titre'>" + l_file[actuLang].paramsSex + "</p>" +
                            "<div class='sexChoiceWrap'>" +
								"<div class='sexChoice'>" +
									"<input type='checkbox' name='look_for' id='boys_par' class='manCheckbox' value='1' "+secSelMan+"><div class='borderOnLabel'><label for='boys_par' data-who='boys' class='jsClickerLabel manLabel pink "+secManHtm+"'><span class='doe-man'></span></label></div>" +
									"<div class='borderOnLabel'><div class='space'></div></div>" +
									"<input type='checkbox' name='look_for' id='girls_par' class='womanCheckbox' value='2' "+secSelWoman+"><div class='borderOnLabel'><label for='girls_par' data-who='girls' class='jsClickerLabel womanLabel pink "+secWomanHtm+"'><span class='doe-woman'></span></label></div>" +
								"</div>" +
							"</div>" +

                            // "<p class='sous_titre'>" + l_file[actuLang].paramsLang + "</p>" +
                            // "<div class='sexChoiceWrap'>" +
                                // "<div class='sexChoice'>" +
                                    // "<input type='radio' name='iamLang' id='imFrench' value='1' class='manCheckbox' "+secSelFr+"><div class='borderOnLabel'><label for='imFrench' data-other='labalEnglish' id='labalFrench' class='jsClickerLabelRadio manLabel pink"+secFrHtm+"'><span class=''>" + l_file[actuLang].paramsLangFr + "</span></label></div>" +
                                    // "<div class='borderOnLabel'><div class='space'></div></div>" +
                                    // "<input type='radio' name='iamLang' id='imEnglish' value='2' class='womanCheckbox' "+secSelEn+"><div class='borderOnLabel'><label for='imEnglish' data-other='labalFrench' id='labalEnglish' class='jsClickerLabelRadio womanLabel pink"+secEnHtm+"'><span class=''>Anglais</span></label></div>" +
                                // "</div>" +
							// "</div>" +
                            
                            "<p class='sous_titre'>" + l_file[actuLang].paramsStatus + "</p>" +
                            "<iframe style='width:100%;height:350px;' src='swipeSetting.html' scrolling='no' class='demo-iframe' frameborder='0'></iframe>" +
                            
                            "<p class='sous_titre'>" + l_file[actuLang].paramsOccupation + "</p>" +                       
							"<div id='occuptationWrap'>" +
								"<div class='textboxLine'>" +
									"<span class='doe-pencil'></span><input id='txtParamOccupation' type='text' value='"+occupation+"' class='undotted'>" +
								"</div>" +
							"</div>" + 
						
                            // "<div class='wrap_onoff'>" +
                                // "<div class='elements_onoff'><span class='label_onoff'>Nofitication:</span></div>" +
                                // "<div class='elements_onoff'>" +
                                    // "<div class='onoffswitch'>" +
                                            // "<input type='checkbox' name='Notification' class='onoffswitch-checkbox' id='Notification' "+secSelNotif+">" +
                                            // "<label class='onoffswitch-label' for='Notification'>" +
                                                    // "<div class='onoffswitch-inner'></div>" +
                                                    // "<div class='onoffswitch-switch'></div>" +
                                            // "</label>" +
                                    // "</div>" +
                                // "</div>" +
                            // "</div>" +
                        
                        "</div>" +
                        
                        "<div id='buttonSectionBackNext'>" +
							"<button id='btnParamCancel' class='round darkPink back small'><span class='doe-arrowback'></span></button>" + 
							"<button id='btnParamSave' class='round pink next'><span class='doe-done'></span></button>" + 
						"</div>" +
                        "<div id='buttonBottomSettings'>" +
							"<button class='blue roundCorner' id='btn_logout_fb'><span class='doe-facebook'></span> | " + l_file[actuLang].paramsLogOut + "</button><br />" +
							"<button class='darkPink roundCorner' id='bt_insideEraseAccount'>" + l_file[actuLang].paramsDeleteAccount + "</button>" +
                        "</div>";
        
                        pManage.completeShow("pagetest_content_menu", template);
                        params.eventParams();
                        
                } else {
                    console.log("error");
                }
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    french: function(){
        changeLang("fr");
    },
    english: function(){
        changeLang("en");
    },
    eventParams: function(){
        
        $('#pagetest_content_menu').off("click", "#btnParamSave").on("click", '#btnParamSave', function(){
            params.checkToSaveParam();
        });
        $('#pagetest_content_menu').off("click", "#btnParamCancel").on("click", '#btnParamCancel', function(){
            app.executeACall('initProfil');
        });
        $('#pagetest_content_menu').off("click", "#btn_go_to_french").on("click", '#btn_go_to_french', function(){
            params.french();
            params.initialize();
        });
        $('#pagetest_content_menu').off("click", "#btn_go_to_english").on("click", '#btn_go_to_english', function(){
            params.english();
            params.initialize();
        });
        $('#pagetest_content_menu').off("click", "#btn_logout_fb").on("click", '#btn_logout_fb', function(){
             params.disconnect();
        });
        $('#pagetest_content_menu').off("click", "#bt_insideEraseAccount").on("click", '#bt_insideEraseAccount', function(){
            params.deleteAccount();
        });

        $('#pagetest_content_menu').off("click", ".jsClickerLabel").on("click", ".jsClickerLabel", function(){
            if($(this).hasClass("isChecked")){
                $(this).removeClass("isChecked");
            }else{
                $(this).addClass("isChecked");
            }
        });
        
        
    },
    checkToSaveParam: function(){
        var isAllValid = true;
        var theMessageError = "";
        var orientation = 0;
        var occupation = $('#txtParamOccupation').val();
        var notification = 1;
        
        if($('#Notification:checked').length == 1){
            notification = 0;
        }
        if(occupation == ''){
            isAllValid = false;
            theMessageError = l_file[actuLang].paramsNoOccupation;
        }
        //traitement orientation
        if($('#boys_par:checked').length == 1){
            orientation = orientation + 1;
        }
        if($('#girls_par:checked').length == 1){
            orientation = orientation + 2;
        }
        // $('#txtParamOccupation').val()
        if(orientation == 0){
            isAllValid = false;
            theMessageError = l_file[actuLang].paramsNoSex;
        }
        
        if(isAllValid){
            params.setParams(orientation, occupation, notification);
        }else{
			alertMessage.showOk(l_file[actuLang].mError, theMessageError, "#pagetest_content_menu");
            //alert(theMessageError);
        }
    },
    setParams: function(orientation, occupation, notification) {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        var theStatus = window.localStorage.getItem('selected_status');
            
        var method = "GET";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            orientation:orientation,
            occupation:occupation,
            notification:notification,
            theStatus:theStatus,
            action:2
        };

        $.ajax({
            url: fd_const_url_params,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();
                gloLookFor = orientation;
                gloNotification = notification;
                var result = jQuery.parseJSON(data);

                if (result.error.code == 0) {
                    console.log("sauvegarder");
                    params.initialize();
                } else {
                    console.log("error");
                }
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    disconnect: function() {
				
    // var repConf = confirm("Do you really want to disconnect to Facebook ?");

    // if (repConf){
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
            
        var method = "GET";
        var data = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                action:3
        };

        $.ajax({
            url: fd_const_url_params,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();
                app.executeACall('logout');
            },
            error: function(data) {
                console.log("error");
            }
        });
        
    // }
		
    },
    deleteAccount: function(){
		alertMessage.showConfirmDeleteAccount(l_file[actuLang].mConfirmationNeed, l_file[actuLang].paramsReallyDelete, "#pagetest_content_menu");
    },
	syncronize: function() {
		var fbUid = globUidFb;
		var fbToken = globTokenFb;
		var deviceUid = globUidDevice;

		var method = "GET";
		var data = {
			fbUid:fbUid,
			fbToken:fbToken,
			deviceUid:deviceUid,
			action:4
		};

		$.ajax({
			url: fd_const_url_params,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				$("#loading").hide();
			},
			error: function(data) {
				console.log("error");
			}
		});
	},
	resetFirstStep: function(fbUid, fbToken, deviceUid){
		var data = {
			fbUid:fbUid,
			fbToken:fbToken,
			deviceUid:deviceUid,
			action:7
		};
		var method = "POST";
		$.ajax({
			url: fd_const_url_tuto,
			type: method,
			data: data,
			success: function(data) {
				var result = jQuery.parseJSON(data);
				if (result.error.code == 0) {
					alert("Ok resetter !");
					hidenavigation();
					app.executeACall('initProfil');
				}
			},
			error: function(data) {
				alert("errSResetFirstStep");
				console.log("errSResetFirstStep");
			}
		});
	},
    removeGcmKey: function(){
        pushNotification.unregister(successHandler, errorHandler, {});
        //TO DO
    }
};