var thinksHot = {
	url: fd_const_url_thinksHot,
    
	init: function(){
        var dispMethod = 0;
        if(typeof(window.localStorage) != 'undefined'){
            if(window.localStorage.getItem("thinkHotGrid") != null){
                dispMethod = window.localStorage.getItem("thinkHotGrid");
            }
        }
        thinksHot.displayTH(dispMethod);
    },
	displayTH: function(dispType){
        var url = this.url;
		var method = "POST";
		
        var mosaic = false;
        
        if(dispType == 1){
            mosaic = true;
        }
        
		var data = {
			fbUid:globUidFb,
			fbToken:globTokenFb,
			deviceUid:globUidDevice,
			action:1
		};
		var htmlButton = "";
		var template = "";
        
        $.ajax({
			url: url,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				$("#loading").hide();
                
                var result = jQuery.parseJSON(data);
                
				if(result.error.code == 0) {
                    
                    var contacts = result.hots;
                    
                    if(mosaic == true){
                        // mosaic
                        htmlButton = "<button class='round small pink' id='btnSwitchToTHList'><i class='doe-list'></i></button> " +
                                        "<button class='round small pink isSelected'><i class='doe-slideshows'></i></button>";
					}else{
                        // List
                        htmlButton = "<button class='round small pink isSelected'><i class='doe-list'></i></button> " +
                                        "<button class='round small pink' id='btnSwitchToTHMosa'><i class='doe-slideshows'></i></button>";
                    }
                    
					template = "<section id='sEbros'>" +
                                    "<div class='inlB'>" +
                                        "<div class='grid'>" +
                                            "<div class='row header'>" +
                                                "<div class='col3'><button class='round small darkPink js_goto_home'><i class='doe-arrowback'></i></button></div>" +
                                                "<div class='col6'><h1>" + l_file[actuLang].thinksYourHotTitle + "</h1></div>" +
                                                "<div class='col3'></div>" +              
                                            "</div>" +
                                            "<div class='row displayOpts'>" +
                                                "<div class='col3'></div>" +
                                                "<div class='col6'>" +
                                                    htmlButton +
                                                "</div>" +
                                                "<div class='col3'></div>" +
                                            "</div>";
                                    
                    if(mosaic == true){
                        template = template + 
                                        "</div>";
                    }
                    
                    if(mosaic == true){
                        var y = 0;
                        var limitByMosaic = 3;
                        
                        $.each(contacts, function(i, item) {
                            y++;
                            if(y==1){
                                //AddStart
                                template = template + 
                                    "<div class='grid mosaic'>" +
                                        "<div class='row'>";
                            }
                            
                            if(item.know == 1){
							
                                template = template + 
                                        "<div class='col4'>" +
                                            "<div class='centerMosaic' >" +
                                                "<img class='border jsGoToProfileByTH' data-uid='"+ item.uid +"' src='" + profil.getImageProfil(item.uid, item.picture) + "' alt=''>" +
                                                "<h2>"+item.name+"</h2>" +
                                                "<button class='round small pink pull-right jsBtnGoConvByTH' data-uid='"+ item.uid +"'><i class='doe-conversation'></i></button>" +
                                            "</div>" +
                                        "</div>";
								
							}else{
								var sexePic = (item.gender=="M"?"DontThinkAlikeYetMan.jpg":"DontThinkAlikeYetWoman.jpg");
                                    
                                template = template + 
                                        "<div class='col4'>" +
                                            "<div class='centerMosaic'>" +
                                                "<img class='border' src='img/" + sexePic + "' alt=''>" +
                                                "<h2>" + l_file[actuLang].thinksYourHotDontThink + "<br />" +
                                                l_file[actuLang].thinksYourHotAlikeYet + "</h2>" +
                                                "<button class='round small pink pull-right jsGoToMeetUp'><i class='doe-meetup'></i></button>" +
                                            "</div>" +
                                        "</div>";
                                
							}
                            
                            if(y==limitByMosaic){
                                //AddEnd
                                template = template + 
                                        "</div>" +
                                    "</div>";
                                                                        
                                //Reset y
                                y=0;
                            }
                            
                        });
                        
                        //Si pas atteint la fermeture
                        if(y != 0){
                            if(y == 1){
                                template = template + 
                                    "<div class='col4'></div>" +
                                    "<div class='col4'></div>";
                            }
                            if(y == 2){
                                template = template + 
                                    "<div class='col4'></div>";
                            }
                            template = template + 
                                    "</div>" +
                                "</div>";
                        }
                    }else{
                        
                        $.each(contacts, function(i, item) {
                            var agge = item.age;
                            // var agge = 22;
                            if(item.know == 1){
                                template = template + 
                                    "<div class='spaceRow'></div>" +
                                    "<div class='row'>" +
                                        "<div class='col3'><img class='border jsGoToProfileByTH' data-uid='"+ item.uid +"' src='" + profil.getImageProfil(item.uid, item.picture) + "'></div>" +
                                        "<div class='col6 text-left'>" +
                                            "<div class='marginText'>" +
                                                "<h2>"+item.name+", <span class='age'>"+agge+"</span></h2>" +
                                            "</div>" +
                                        "</div>" +
                                        "<div class='col3'>" +
                                            "<button class='round small pink pull-right jsBtnGoConvByTH' data-uid='"+ item.uid +"'><i class='doe-conversation'></i></button>" +
                                        "</div>" +
                                    "</div>";
                            }else{
                                var sexePic = (item.gender=="M"?"DontThinkAlikeYetMan.jpg":"DontThinkAlikeYetWoman.jpg");
                                template = template + 
                                    "<div class='spaceRow'></div>" +
                                    "<div class='row'>" +
                                        "<div class='col3'><img class='border' src='img/" + sexePic + "'></div>" +
                                        "<div class='col6 text-left'>" +
                                            "<div class='marginText'>" +
                                                "<h2>" + l_file[actuLang].thinksYourHotDontThink + "<br>" + l_file[actuLang].thinksYourHotAlikeYet + "</h2>" +
                                            "</div>" +
                                        "</div>" +
                                        "<div class='col3'>" +
                                            "<button class='round small pink pull-right jsGoToMeetUp'><i class='doe-meetup'></i></button>" +
                                        "</div>" +
                                    "</div>";
                            }
                        });
                    }
                }
                
                pManage.completeShow("pagetest_content_menu", template);
                thinksHot.setEventForInit();
            },
			error: function(data) {
				console.log("error");
			}
		});
    },
	setEventForInit: function(){
        
        
        $('#pagetest_content_menu').off("click", "#btnSwitchToTHMosa").on("click", '#btnSwitchToTHMosa', function(){
            //To Mosaic
            window.localStorage.setItem("thinkHotGrid", 1);
            thinksHot.displayTH(1);
        });
        
        $('#pagetest_content_menu').off("click", "#btnSwitchToTHList").on("click", '#btnSwitchToTHList', function(){
            //To List
            window.localStorage.setItem("thinkHotGrid", 0);
            thinksHot.displayTH(0);
        });
        
        $('#pagetest_content_menu').off("click", ".jsBtnGoConvByTH").on("click", '.jsBtnGoConvByTH', function(){
            // alert($(this).data("uid"));
            inbox.getConv($(this).data("uid"));
        });
        $('#pagetest_content_menu').off("click", ".jsGoToProfileByTH").on("click", '.jsGoToProfileByTH', function(){
            // alert();
            profil.getContactProfil($(this).data("uid"));
        });

        $('#pagetest_content_menu').off("click", ".js_goto_home").on("click", '.js_goto_home', function(){
            profil.initialize();
        });
        
        $('#pagetest_content_menu').off("click", ".jsGoToMeetUp").on("click", '.jsGoToMeetUp', function(){
            meetUp.showSettingMeetUp();
        });
    },
	initOld: function(){
		
		var url = this.url;
		var method = "POST";
		
		var data = {
			fbUid:globUidFb,
			fbToken:globTokenFb,
			deviceUid:globUidDevice,
			action:1
		};
		
		var template = "";
		
		$.ajax({
			url: url,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				$("#loading").hide();
				
				console.log(data);
				var result = jQuery.parseJSON(data);

				if (result.error.code == 0){
					//Process
					
					template = template + 
						"<h1>Thinks you're Hot !</h1>" +
						"<ul class='list_contact'>";
					
					var contacts = result.hots;
					$.each(contacts, function(i, item) {
							
							if(item.know == 1){
							
								template = template + 
									"<li class='btn_profilContact a-contact' data='"+ item.uid +"' data-name='"+item.name+"'>" +
										"<span class='wrap_img'><img src='" + profil.getImageProfil(item.uid, item.picture) + "'></span>" +  
										"<span>" + item.name + "</span>" +
									"</li>";
								
							}else{
								var sexePic = (item.gender=="M"?"0.png":"1.png");
								template = template + 
									"<li class='btn_profilContact a-contact' data='"+ item.uid +"' data-name='"+item.name+"'>" +
										"<span class='wrap_img'><img src='" + fd_const_url_base_img_profile + "0/" + sexePic + "'></span>" +  
										"<span>" + item.name + "</span>" +
									"</li>";
									
							}
					});

					template = template + 
						"</ul>";
					
				}else{
					// result.eskimos.nb
					console.log("error");
				}
                
				$('#pageThinks_Hot').html(template);
				view.showSection("pageThinks_Hot");
			},
			error: function(data) {
				console.log("error");
			}
		});
	}
}