var gloTmpFbDataParse = {};
var timeline = {
    _actualPerson: {
        "uid":0,
        "id":0,
        "facebookUi":0,
        "sexe":"3",
        "gender":"",
        "picture":"",
        "country":"",
        "town":"",
        "date":"",
        "fullName":"",
        "description":"",
        "stars":0
    },
    initialize: function() {
        this.getTimelineContacts();
    },
    getTimelineContacts: function() {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        
        var method = "POST";
        var data = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                action:2
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                var result = jQuery.parseJSON(data);
                var template = "";
                var htmlButton = "";
                if (result.error.code == 0) {
                    var selStar = '';
                    var selList = '';
                    var activeSort = true;
                    if(gloSortHolyList == 0){
                        htmlButton = "<button class='round small pink isSelected'><span class='doe-list'></span></button>" +
									"<button id='btnOrderByStar' class='round small pink'><span class='doe-star'></span></button>";
                    }else{
                        activeSort = false;
                        htmlButton = "<button id='btnOrderByList' class='round small pink'><span class='doe-list'></span></button>" +
									"<button class='round small pink isSelected'><span class='doe-star'></span></button>";
                    }
                    
                    template = "<section id='sBook'>" +
                                    "<div class='inlB'>" +
                                        "<div class='grid'>" +
                                            "<div class='row header'>" +
                                                "<div class='col3'><button class='round small darkPink js_goto_home'><i class='doe-arrowback'></i></button></div>" +
                                                "<div class='col6'><h1>" + l_file[actuLang].bBookTitle + "</h1></div>" +
                                                "<div class='col3'><a class='jsGoToPageAddModifyBB'><span class='doe-add'></span></a></div>" +              
                                            "</div>" +
                                            "<div class='row displayOpts'>" +
                                                "<div class='col3'></div>" +
                                                "<div class='col6'>" +
													htmlButton +
                                                "</div>" +
                                                "<div class='col3'></div>" +
                                            "</div>" +
                                        "</div>" +
                                        "<ul class='grid aTimelineUlWithNoPuce' id='idSortTimeline'>";
                    var numBoucle = 0;
                    var contacts = result.contacts;
                    $.each(contacts, function(i, item) {
                        if(item.uid==0){
                            //Manual
                            var linkImg = fd_const_url_base_img_profile + item.uid + "/" + item.sexe + ".png";
                            var sexePic = (item.gender=="M"?"DefaultMan.jpg":"DefaultWoman.jpg");
                            var linkImg = "img/" + sexePic;
                            
                            var theName = item.fullName;
                        }else{
                            //Profil
                            var linkImg = profil.getImageProfil(item.uid, item.picture);
                            var theName = item.fullName;
                        }
                        
                        template = template + 
                            "<li class='timeline_item_list' id='bloc-holylist-" + item.id + "' data-name='"+theName+"'data-uid='"+item.id+"'>" +
                                "<div class='spaceRow'></div>" +
								"<div class='row jsDisplayBlackMenu' data-name='"+theName+"'data-uid='"+item.id+"'>" +
									"<div class='col1 bt_timeline_move'><span class='placeToChangeNumber'>" + (numBoucle + 1) + ".</span></div>" +
									"<div class='col3'><img class='border' src='" + linkImg + "'></div>" +
                                    "<div class='col6 text-left'>" +
                                        "<div class='marginText'>" +
                                            "<h2>" + theName + "</h2>" +
                                            "<p>" + item.description + "</p>" +
                                        "</div>" +
                                    "</div>" +
                                    "<div class='col2'>" +
                                        "<div class='small starBG'><span class='doe-star'><span class='numberStar'>" + item.stars + "</span></span></div>" +
                                    "</div>" +
                                "</div>" +
							"</li>";
                            
                        numBoucle++;
                    });
                    
                    template = template + 
								"</ul>" +
							"</div>" +                     
                        "</section>";
                        
                    pManage.completeShow("pagetest_content_menu", template);
                    timeline.setEventForBlackBook(activeSort);
                }
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    setEventForBlackBook: function(sortActive) {
        // js_goto_home
        
        $('#pagetest_content_menu').off("click", ".jsGoToPageAddModifyBB").on("click", '.jsGoToPageAddModifyBB', function(){
            timeline.formAdd(0);
        });
        
        $('#pagetest_content_menu').off("click", "#btnOrderByStar").on("click", '#btnOrderByStar', function(){
            timeline.changeDisplay(1);
        });
		
		$('#pagetest_content_menu').off("click", "#btnOrderByList").on("click", '#btnOrderByList', function(){
            timeline.changeDisplay(0);
        });
        
        $('#pagetest_content_menu').off("click", ".js_goto_home").on("click", '.js_goto_home', function(){
            profil.initialize();
        });
		
		$('#pagetest_content_menu').off("click", ".jsDisplayBlackMenu").on("click", '.jsDisplayBlackMenu', function(){
			var name = $(this).data("name");
			var uid = $(this).data("uid");
            timeline.jsDisplayBlackMenu(uid,name);
        });
        
        if(sortActive == true){

            $("#idSortTimeline" ).sortable({
                handle: ".bt_timeline_move",
                axis: "y",
				update: function(event, ui) {
                
                    //create the array that hold the positions...
                    var order = []; 
                                //loop trought each li...
                    $('#idSortTimeline > li.timeline_item_list').each( function(e) {
						var theRealId = $(this).attr('id').split("-");
						$(this).find("span.placeToChangeNumber").html($(this).index() + 1);
                        order.push( theRealId[2] );
                    });
                    // join the array as single variable...
                    var positions = order.join(';')
                    
                    timeline.savePlacement(positions);
                    
                }
            });
            $("#idSortTimeline" ).disableSelection();
        }
        
        
    },
    getTimelineContactsOld: function() {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        
        var method = "POST";
        var data = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                action:2
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();

                var result = jQuery.parseJSON(data);
                var template = "";
                console.log(result);
                if (result.error.code == 0) {
                    var selStar = '';
                    var selList = '';
                    var activeSort = true;
                    if(gloSortHolyList == 0){
                        selList = ' selected';
                    }else{
                        activeSort = false;
                        selStar = ' selected';
                    }
                        template = "<div id='changeSortTimelineStar' class='bt_timeline_sort_star"+selStar+"'><i class='fa fa-star fa-2x'></i></div>" + 
                        "<div id='changeSortTimelineList' class='bt_timeline_sort_list"+selList+"'><i class='fa fa-bars fa-2x'></i></div>"+
                                        "<div id='addManualTimeline' class='bt_add_timeline'><i class='fa fa-plus-circle fa-2x'></i></div>" +
                                        "<h1>Holy List</h1>" +
                                        "<h1 style='font-size:1em;'>~ Add people you had sex with ~</h1>"+
                                        "<ul class='timeline_list' id='idSortTimeline'>";
                        
                        var numBoucle = 0;
                        var contacts = result.contacts;
                        $.each(contacts, function(i, item) {
                            // var location = timeline.getLocalisation(item.timeline_position_lat, item.timeline_position_lon);
                            if(item.uid==0){
                                //Manual
                                var linkImg = fd_const_url_base_img_profile + item.uid + "/" + item.sexe + ".png";
                                var theName = item.fullName;
                            }else{
                                //Profil
                                var linkImg = profil.getImageProfil(item.uid, item.picture);
                                var theName = item.fullName;
                            }
                            template = template + 
                                    "<li class='timeline_item_list' id='bloc-holylist-" + item.id + "' data='"+item.id+"'>" +
                                        "<div class='bt_timeline_eliminier' id='rem-holylist-" + item.id + "' data='"+theName+"'><i class='fa fa-times-circle'></i></div>";
                                        
                                        if(activeSort){
                                            template = template + 
                                                "<div class='bt_timeline_move'><i class='fa fa-bars'></i></div>";
                                        
                                        }
                                        
                                    template = template + 
                                        "<div class='timeline_info'>" +
                                            "<div class='timeline_nombre'><span class='placeToChangeNumber'>" + (numBoucle + 1) + ".</span></div>" +
                                            "<div class='timeline_img'>" +
                                                "<img src='" + linkImg + "' alt=''>" +
                                                "<span class='wrap_etoile'>" + item.stars + "</span>" +
                                                "<span class='timeline_edit btn_timeline_edit' data='"+ item.id +"'><i class='fa fa-pencil fa-lg'></i></span>" +
                                            "</div>" +
                                            "<div class='timeline_name'><span>" + theName + "</span></div>" +
                                        "</div>" +
                                        "<div class='timeline_readmore'>" +
                                            "<p class='timeline_description'>" + item.description + "</p>";
                                            
                                            if(item.uid!=0){
                                                if(item.complete!= 0){
                                                    
                                                    template = template +
                                                    "<div class='bt_timeline_profile' data='" + item.uid + "' data-type='profil'>" + 
                                                        "<button href='" + item.uid + "'>Profile <i class='fa fa-angle-right'></i></button>" +
                                                    "</div>";
                                                    
                                                }else{
                                                    
                                                    template = template +
                                                    "<div class='bt_timeline_profile' data='" + item.uid + "' data-name='"+theName+"' data-type='invite'>" + 
                                                        "<button href='" + item.uid + "'>Invite<i class='gn-icon gn-icon-share'></i></button>" +
                                                    "</div>";
                                                    
                                                }
                                            }
                                        template = template +
                                        "</div>" +
                                    "</li>";
                            numBoucle++;
                        });

                        template = template + "</ul>";

                        $("#pageTimeline_content").html(template);
                        $("#pageTimeline_content").fadeIn("slow", function(){
                            if(activeSort == true){
                                
                                $("#idSortTimeline" ).sortable({
                                    handle: ".bt_timeline_move",
                                    axis: "y",
                                    update: function(event, ui) {
                                    
                                        //create the array that hold the positions...
                                            var order = []; 
                                                        //loop trought each li...
                                            $('#idSortTimeline > li').each( function(e) {
                                                var theRealId = $(this).attr('id').split("-");
                                                $(this).find("span.placeToChangeNumber").html($(this).index() + 1);
                                                        //add each li position to the array...     
                                                        // the +1 is for make it start from 1 instead of 0
                                                order.push( theRealId[2] );
                                                // + '=' + ( $(this).index() + 1 )
                                            });
                                                    // join the array as single variable...
                                            var positions = order.join(';')
                                            
                                            timeline.savePlacement(positions);
                                                     //use the variable as you need!
                                            // alert( positions );
                                                    // $.cookie( LI_POSITION , positions , { expires: 10 });
                                        
                                    }
                                });
                                
                                $("#idSortTimeline" ).disableSelection();
                            }
                        });
                } else {
                        console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
	getLocalisation: function(latitude, longitude) {
		var url = "http://maps.googleapis.com/maps/api/geocode/json?latlng=40.714224,-73.961452&sensor=true";
		var location = "Non connu";
		var method = "GET";
		
		$.ajax({
            url:url,
            type:method,
			async:false,
            success: function(data) {
				console.log("success");


				if (data.status == "OK") {
					console.log("done");
					console.log(data.results[0].address_components[5].long_name);
					console.log(data.results[0].address_components[6].long_name);

					
					location = data.results[0].address_components[5].long_name + ", " + data.results[0].address_components[6].long_name;

				} else {
					console.log("error");


				}
            },
            error: function(data) {
                console.log("error");

            }
        });
		
		return location;
	},
	savePlacement: function(positions){
		var fbUid = globUidFb;
		var fbToken = globTokenFb;
		var deviceUid = globUidDevice;
		var method = "POST";
		var data = {
				fbUid:fbUid,
				fbToken:fbToken,
				deviceUid:deviceUid,
				action:11,
				positions:positions
		};
		$.ajax({
			url: fd_const_url_contact,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				console.log(data);
			},
			error: function(data) {
				console.log("error");
			}
		});
		
	},
	newRemoveContact: function(timelineUid){
		var fbUid = globUidFb;
		var fbToken = globTokenFb;
		var deviceUid = globUidDevice;
		var method = "POST";
		var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            timelineUid:timelineUid,
            action:10
		};
		
		$.ajax({
			url: fd_const_url_contact,
			type: method,
			data: data,
			beforeSend: function(data) {
				$("#loading").show();
			},
			success: function(data) {
				$("#loading").hide();
				
				var result = jQuery.parseJSON(data);
				var template = "";

				if (result.error.code == 0) {
					console.log(data);
					// alert("Removed from Holy List");
                    alertMessage.showOk(l_file[actuLang].mInformation, l_file[actuLang].bBookRemoveMessageSuccess, "#pagetest_content_menu");
					// timeline.initialize();
                    timeline.closeDisplayChoice();
				} else {
					console.log("error");
				}       
			},
			error: function(data) {
				console.log("error");
			}
		});
		
	},
	removeContact: function(contactUid) {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        
        var method = "POST";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            contactUid:contactUid,
            action:3
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();
                
                var result = jQuery.parseJSON(data);
                var template = "";

                if (result.error.code == 0) {
                    console.log(data);
                    // alert("Removed from Holy List");
                    alertMessage.showOk(l_file[actuLang].mInformation, l_file[actuLang].bBookRemoveMessageSuccess, "#pagetest_content_menu");
                    // timeline.initialize();
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    addContact: function(contactUid) {
        var fbUid = globUidFb;
        var fbToken = globTokenFb;
        var deviceUid = globUidDevice;
        
        var method = "POST";
        var data = {
            fbUid:fbUid,
            fbToken:fbToken,
            deviceUid:deviceUid,
            contactUid:contactUid,
            action:5
        };

        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: data,
            beforeSend: function(data) {
                $("#loading").show();
            },
            success: function(data) {
                $("#loading").hide();
                
                var result = jQuery.parseJSON(data);
                var template = "";

                if (result.error.code == 0) {
                    console.log(data);
                    alert("Le contact a été retiré de votre Timeline");
                } else {
                    console.log("error");
                }       
            },
            error: function(data) {
                console.log("error");
            }
        });
    },
    formAdd: function(uidTimelinePerson){
        $("#loading").show();
        var template = "";
        var nameTitle = "Add";
        
        var theTmpPerson = {
            "uid":0,
            "id":0,
            "facebookUi":0,
            "sexe":"3",
            "gender":"",
            "picture":"",
            "country":"",
            "town":"",
            "date":"",
            "fullName":"",
            "description":"",
            "stars":0
        };
        
        if(uidTimelinePerson != 0){
            
            var fbUid = globUidFb;
            var fbToken = globTokenFb;
            var deviceUid = globUidDevice;
            var method = "POST";
            var d = {
                fbUid:fbUid,
                fbToken:fbToken,
                deviceUid:deviceUid,
                uidTimelinePerson:uidTimelinePerson,
                action:61
            };
            
            $.ajax({
                url: fd_const_url_contact,
                type: method,
                data: d,
                success: function(data) {
                    var result = jQuery.parseJSON(data);
                    if (result.error.code == 0) {
                    
                        theTmpPerson = result.timeline;
                        timeline.generateForm(theTmpPerson);
                        console.log(result);
                        
                    }
                },
                error: function(data) {
                    console.log("Cool error in ajax");
                }
            });
            
        }else{
            timeline.generateForm(theTmpPerson);
        }
        
        // $('.submit-star').rating('select': 3);
        // rating_star();
        
    },
    saveFormActual: function(){
        var sex = 1;
        if($('#boy:checked').length == 1){
            sex = 0;
        }
        if($('#girl:checked').length == 1){
            sex = 1;
        }
        
        var d = {
            "uid":0,
            "id":$('#theUidHolyList').val(),
            "facebookUi":$('#theUidFacebookHolyList').val(),
            "sexe":sex,
            "gender":"",
            "picture":"",
            "country":($('#pays-add').val()),
            "town":($('#town-add').val()),
            "date":($('#date-add').val()),
            "fullName":($('#name-add').val()),
            "description":$('#des-add').val(),
            "stars":gloNbStars
        };
        
        this._actualPerson = d;
    },
    saveForm: function(){
        var method = "POST";
        var stuckedStars = gloNbStars;
        // var fbPerson = $('#name-add').val();
        var sex = 1;
        if($('#boy:checked').length == 1){
            sex = 0;
        }
        if($('#girl:checked').length == 1){
            sex = 1;
        }
        
        var uid = $('#theUidHolyList').val();
        var fbPerson = $('#thePersonHolyList').val();
        var fbUidAdd = $('#theUidFacebookHolyList').val();
        var d = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:101,
            fbPerson:fbPerson,
            fbUidAdd:fbUidAdd,
            sex:sex,
            uid:uid,
            name:encodeURI($('#name-add').val()),
            town:encodeURI($('#town-add').val()),
            country:encodeURI($('#pays-add').val()),
            date:encodeURI($('#date-add').val()),
            desc:($('#des-add').val()),
            stars:stuckedStars
        };
        
        //TODO
        //Verification tous les champs valides !
        // if()
        
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: d,
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0) {
                    
                    //return to HolyList
                    // clearpage();
                    timeline.initialize();
                    // app.executeACall('initProfil');
                    
                }
            },
            error: function(data) {
                console.log("Cool error in ajax");
            }
        });
        
        //Valider les champs avant le save !
        
    },
    changeDisplay: function(sortType){
        
        var method = "POST";
        var d = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:12,
            sortType:sortType
        };
        
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: d,
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0) {
                    gloSortHolyList = sortType;
                    //return to HolyList
                    timeline.initialize();
                    
                }
            },
            error: function(data) {
                console.log("error in changeDisplay");
            }
        });
        
        
    }, 
    sureToRemove: function(name, id){
        alertMessage.showConfirmDeleteFromBlackbook(l_file[actuLang].mConfirmationNeed, l_file[actuLang].bBookRemoveMessageFirstPart + name + l_file[actuLang].bBookRemoveMessageSecondPart, "#pagetest_content_menu", id);
    },
    generateListFacebook: function(){
        //AUDREY !
        //Pre save info !
        this.saveFormActual();
        
        var template = "";
        
        var method = "POST";
        var d = {
            fbUid:globUidFb,
            fbToken:globTokenFb,
            deviceUid:globUidDevice,
            action:62
        };
        
        $.ajax({
            url: fd_const_url_contact,
            type: method,
            data: d,
            success: function(data) {
                var result = jQuery.parseJSON(data);
                if (result.error.code == 0) {
                    
                    console.log(result);
                    
                    template = template + 			
                                "<div class='grid'>" +
                                    "<div class='row header frameFixTopPage '>" +
                                        "<div class='col3'><button class='round small darkPink js_goto_form_zone'><i class='doe-arrowback'></i></button></div>" +
                                        "<div class='col6'><input type='text' id='txt_select_fb_friend' class='dotted iAmTheSearch' placeholder='" + l_file[actuLang].gSearch + "'></div>" +
                                        "<div class='col3'></div>" +              
                                    "</div>"
                                "</div>" +
                                "<div class='grid'>";						
                    
                    
                        // "<div class='btnTopPage' id='imBackBtnFbList'>" + 
                            // "<span class='btnBackTop' id='btnBackFbList'><i class='fa fa-angle-left'></i> Back</span>" +
                        // "</div>" +
                        // "<div class='wrap_input_timeline'>" +
                            // "<input type='text' id='txt_select_fb_friend' class='input_timeline_add' placeholder='Search...'>" +
                        // "</div>" +
                    // "</div>" +
                    // "<ul class='bf_list_ul'>";
                    
                    var fbcontacts = result.data;
                    var tmpKnow = 0;
                    $.each(fbcontacts, function(i, item) {
                        tmpKnow++;
                        if(i == 0){
                            template = template +
                                "<div class='spaceRowBeginFBAdd'></div>";
                        }
                        
                        template = template +	
                            "<div class='envelopperFbPerson a-fbcontact' data='"+item.uid+"' data-name='"+item.name+"'>" +
                                "<div class='spaceRow'></div>" +
                                "<div class='row js_fb_select_li' data='"+item.uid+"' data-name='"+item.name+"'>" +									
                                    "<div class='col3'>" +
                                        "<div class='fbImgBox'>" +
                                            "<img class='border' src='"+item.pic_square+"'>" +
                                        "</div>" +
                                    "</div>" +
                                    "<div class='col9 text-left'>" +
                                        "<div class='marginText'>" +
                                            "<h2>" + item.name + "</h2>" +
                                        "</div>" +
                                    "</div>" +							
                                "</div>" +							
                            "</div>";
                            
            
                        
                        // template = template + "<li class='js_fb_select_li a-fbcontact' data='"+item.uid+"' data-name='"+item.name+"'>" +
                        // "<div class='fb_sec_pic'><img src='"+item.pic_square+"'></div><div class='fb_sec_name'>"+item.name+"</div>" + 
                        // "</li>";
                        
                    });
                    if(tmpKnow>0){
                        template = template + "</div>";
                    }
                    
                    // clearpage();
                    // $("#pageTimeline_facebook").html(template);
                    // $("#pageTimeline_facebook").fadeIn("slow");
                    
                    pManage.completeShow("pagetest_content_menu", template);
                    
                    timeline.setEventBBListFb();
                    
                }
            },
            error: function(data) {
                console.log("error generateListFacebook");
            }
        });
        
    },
    setEventBBListFb: function(){
        
        
        $('#pagetest_content_menu').off("click", ".js_goto_form_zone").on("click", ".js_goto_form_zone", function (){
            if(timeline._actualPerson['id']!=0){
                timeline.formAdd(timeline._actualPerson['id']);
            }else{
                timeline.generateForm(timeline._actualPerson);
            }
        });
        
        
        $('#pagetest_content_menu').off("click", ".js_fb_select_li").on("click", ".js_fb_select_li", function (){
            
            gloTmpFbDataParse = {
                "facebookUi":$(this).attr("data"),
                "picture":"",
                "fullName":$(this).attr("data-name")
            };
            
            timeline.displayConfirmFb(gloTmpFbDataParse);
            
            /*

            if(confirm("Sure to select '"+$(this).attr("data-name")+"' ?")){
                //Yes
                data["facebookUi"] = $(this).attr("data");
                data["fullName"] = $(this).attr("data-name");
                clearpage();
                $('#content').removeClass().addClass('animated zoomIn').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
                  $(this).removeClass();
                });
                timeline.setActualByFb(data);
            }
            */
        });
        
        $("#pagetest_content_menu").off("keyup", "#txt_select_fb_friend").on("keyup", "#txt_select_fb_friend", function(){
            var search = $("#txt_select_fb_friend").val();
            timeline.searchFbContact(search);
        });
        
        
    },
    displayConfirmFb: function(data){
        
        var htmlFrame = '<div class="" id="theFrameFullScreenFix">' +
                        '<div id="frameBlackFullScreen">' +
                            '<h1>'+data['fullName']+'</h1>' +
                            '<div id="frameControlInitPicture">' +
                                "<button onclick='timeline.byPassSetActualByFb()' class='pink roundCorner'><span class='doe-pictures'></span>" + l_file[actuLang].gConfirm + "</button>" +
                                '<br />' +
                                "<button onclick='timeline.closeDisplayConfirmFb()' class='darkPink roundCorner'><span class='doe-arrowback'></span>" + l_file[actuLang].gCancel + "</button>" +
                            '</div>' +
                        '</div>' +
                    '</div>';
    
        $(htmlFrame).hide().appendTo('#pagetest_content_menu').fadeIn(1000);
        
    },
    closeDisplayConfirmFb: function(){
        $('#theFrameFullScreenFix').fadeOut(1000, function(){
            $(this).remove();
        });
    },
    byPassSetActualByFb: function(){
        this.setActualByFb(gloTmpFbDataParse);
    },
    searchFbContact: function(search) {
        $("#pagetest_content_menu div.a-fbcontact").each(function() {
            var name = $(this).attr("data-name");

            if(!name.match(new RegExp(search, "i"))) {
                $(this).hide();
            } else{
                $(this).show();
            }
        });
    },
    altereForm: function(){
        
    },
    setActualByFb: function(data){
        //Set Data
        this._actualPerson['facebookUi'] = data['facebookUi'];
        this._actualPerson['picture'] = data['picture'];
        this._actualPerson['fullName'] = data['fullName'];
        this._actualPerson['uid'] = 0;
        
        this.generateForm(this._actualPerson);
    },
    generateForm: function(data){
        //Nouveau code ici Audrey!
        var template = "";
        var nameTitle = l_file[actuLang].bBookAddTitle;
        // var nameTitle = "Check out your <br>facebook friends";
        var sectionPersonFinal = "";
        var sectionPerson = "";
        var sectionPerson2 = "";
        
        gloNbStars = data.stars;
        sectionPerson = "<input type='hidden' name='thePerson' id='thePersonHolyList' value='"+data.uid+"'>" +
        "<input type='hidden' name='theUid' id='theUidHolyList' value='"+data.id+"'>"+
        "<input type='hidden' name='theUidFacebook' id='theUidFacebookHolyList' value='"+data.facebookUi+"'>";
        //Personne manual (Par default)
        if(gloLookFor == 3){
            sectionPerson2 =  
            "<div class='sexChoiceWrap'>" +
                "<div class='sexChoice'>" +
                    "<input type='radio' name='thisPersonIs' id='boy' value='1' class='manCheckbox' "+(data.sexe == "0"?"checked='checked'":"")+"><div class='borderOnLabel'><label for='boy' data-other='labelGirl' id='labelBoy' class='jsClickerLabelRadio manLabel pink"+(data.sexe == "0"?" isChecked":"")+"'><span class='doe-man'></span></label></div>" +
                    "<div class='borderOnLabel'><div class='space'></div></div>" +
                    "<input type='radio' name='thisPersonIs' id='girl' value='2' class='womanCheckbox' "+(data.sexe == "1"?"checked='checked'":"")+"><div class='borderOnLabel'><label for='girl' data-other='labelBoy' id='labelGirl' class='jsClickerLabelRadio womanLabel pink"+(data.sexe == "1"?" isChecked":"")+"'><span class='doe-woman'></span></label></div>" +
                "</div>" +
            "</div>";
        }else{
            sectionPerson2 =  
            "<div class='sexChoiceWrap'>" +
                "<div class='falseSexChoice'>" +
                "</div>" +
            "</div>";
        }
                
        sectionPerson2 = sectionPerson2 +
        "<input type='text' id='name-add' class='dotted' placeholder='" + l_file[actuLang].bBookName + "' value='"+ data.fullName +"'><br />";
        
        if(data.id != 0 && data.id != "0"){
            nameTitle = l_file[actuLang].bBookModifyTitle;
            if(data.uid != 0 && data.uid != "0"){
                //FaceBook
                sectionPerson2 = 
                "<div class='blackBookImageWrap'><img class='border' src='" + profil.getImageProfil(data.uid, data.picture) + "'></div>" +
                "<h1 class='name'>"+ data.fullName +"</h1>" +
                "<input class='input_timeline_add' type='hidden' id='name-add' value='' />" +
                "<input name='genre' id='boy' value='1' type='hidden' checked='checked'/>";
            }
        }
        if(data.facebookUi != 0){
            sectionPerson2 = 
            "<div class='blackBookImageWrap'><img class='border' src='" + fd_const_url_base_function + "getLiveFbPhoto.php?fb_uid="+data.facebookUi+"'></div>" +
            "<h1 class='name'>"+ data.fullName +"</h1>" +
            "<input class='input_timeline_add' type='hidden' id='name-add' value='' />" +
            "<input name='genre' id='boy' value='1' type='hidden' checked='checked'/>";
        }
        sectionPersonFinal = sectionPerson + sectionPerson2;
        var date = '';
        if(data.date == ''){
            var oTmpData = new Date();
            date = oTmpData.getFullYear()+'-'+(oTmpData.getMonth()+1)+'-'+oTmpData.getDate();
        }
        else{
            date = data.date;
        }
        
        template = template + "<h1>"+nameTitle+"</h1>" +
        "<button class='facebookAdd blue smallRadius' id='changeFbPerson'>" +
            "<div class='part1'><span class='doe-facebook'></span></div>" +
            "<div class='part2'><span>" + l_file[actuLang].bBookFbBtn + "</span></div>" +
        "</button><br />" +
        sectionPersonFinal;
        
        // "<div id='changeFbPerson' class='bt_facebook_timeline'><img src='img/fb_friend_lst.png'></div>" +
        
        // "<form class='form_holylist'>"+

            template = template + 
            "<input type='hidden' id='town-add' class='dotted' placeholder='" + l_file[actuLang].bBookTown + "' value='"+ data.town +"'>" +
            "<input type='hidden' id='pays-add' class='dotted' placeholder='" + l_file[actuLang].bBookCountry + "' value='"+ data.country +"'>";
			if(data.town == "" && data.country == ""){
				template = template + 
				"<input type='text' id='mazonebiensimple' class='dotted' placeholder='" + l_file[actuLang].bBookWhere + "' value=''><br />";
			}
			else{
				template = template + 
				"<input type='text' id='mazonebiensimple' class='dotted' placeholder='" + l_file[actuLang].bBookWhere + "' value='"+ data.town +", "+ data.country +"'><br />";
            }
			template = template + 
			// "<input type='date' id='date' class='dotted' placeholder='Date' value='"+ data.date +"'><br />" +
            "<input type='date' id='date-add' class='dotted lastTxt' value='"+ date +"'><br />" +
            "<textarea rows='1' id='des-add' class='dotted' placeholder='" + l_file[actuLang].bBookDescription + "'>"+ data.description +"</textarea>" +
            printNewStars.print(5, parseInt(data.stars)) +

            
            // "<div id='starRate'>" +
                // "<input type='checkbox' name='star' id='star1Id' value='star1' class='star1Checkbox' checked='checked'><label for='star1Id' id='star1' class='star starIsSelected'><span class='doe-star'></span></label>" +
                // "<input type='checkbox' name='star' id='star2Id' value='star2' class='star2Checkbox'><label for='star2Id' id='star2' class='star'><span class='doe-star'></span></label>" +
                // "<input type='checkbox' name='star' id='star3Id' value='star3' class='star3Checkbox'><label for='star3Id' id='star3' class='star'><span class='doe-star'></span></label>" +
                // "<input type='checkbox' name='star' id='star4Id' value='star4' class='star4Checkbox'><label for='star4Id' id='star4' class='star'><span class='doe-star'></span></label>" +
                // "<input type='checkbox' name='star' id='star5Id' value='star5' class='star5Checkbox last'><label for='star5Id' id='star5' class='star'><span class='doe-star'></span></label>" +
            // "</div>" +
            
            "<div id='buttonSectionBackNext'>" + 
                "<button class='round darkPink back small' id='btnBackToBB'><span class='doe-arrowback'></span></button>" + 
                "<button class='round pink medium add' id='btnBBtoSaveBB'><span class='doe-blackbook'><span class='doe-add'></span></span></button>" +
            "</div>";
            
            // "<div class='wrap_input_timeline'>" +
                // "<label class='sous_titre_add' for='town-add'>Town?</label>" +
                // "<input class='input_timeline_add' type='text' id='town-add' value='"+ data.town +"'>" +
            // "</div>" +
            // "<div class='wrap_input_timeline'>" +
                // "<label class='sous_titre_add' for='pays-add'>Country?</label>" +
                // "<input class='input_timeline_add' type='text' id='pays-add' value='"+ data.country +"'>" +
            // "</div>" +
            // "<div class='wrap_input_timeline'>" +
                // "<label class='sous_titre_add' for='date-add'>Date?</label>" +
                // "<input class='input_timeline_add' type='date' name='bday' id='date-add' value='"+ data.date +"'>" +
            // "</div>" +
            // "<div class='wrap_input_timeline'>" +
                // "<label class='sous_titre_add' for='des-add'>description?</label>" +
                // "<textarea name='' id='des-add'>"+ data.description +"</textarea>" +
            // "</div>";

            //template = template +  printStars.print(5,parseInt(data.stars)) +

            // "<div class='clr'></div>" +

            // "<div class='bt_nav_normal'>" +
                // "<span class='bt_left' id='add-holy-cancel'><i class='fa fa-angle-left'></i> cancel</span>" +
                // "<span class='space_blanc'></span>" +
                // "<span class='bt_right' id='add-holy-save'>save <i class='fa fa-angle-right'></i></span>" +
            // "</div>" +
        // "</form>";
        
        
        pManage.completeShow("pagetest_content_menu", template);
        timeline.setEventForm();
        
        // $("#pagetest_content").html(template);
        
        // $("#loading").hide();
        // $("#pagetest_content").fadeIn("slow");
        
        
        //<!-- V1.1 : Ajout du JS pour les radios -->
        $('.manLabelRadio').on("click", function(){
            if($('.manRadio').attr('checked')){
                //$('.manRadio').attr("checked", false);
                $('.manLabelRadio').removeClass("isChecked");
            }
            else{
                //$('.manRadio').attr("checked", true);
                $('.manLabelRadio').addClass("isChecked");
                $('.womanLabelRadio').removeClass("isChecked");
            }
        });
        $('.womanLabelRadio').on("click", function(){
            if($('.womanRadio').attr('checked')){
                //$('.womanRadio').attr("checked", false);
                $('.womanLabelRadio').removeClass("isChecked");
            }
            else{
                //$('.womanRadio').attr("checked", true);
                $('.womanLabelRadio').addClass("isChecked");
                $('.manLabelRadio').removeClass("isChecked");
            }
        });	
        
    },
    setNewEmplacement: function(place){
        
        var arrResult = place.formatted_address.split(", ");
        
        if(arrResult.length > 3){
            $('#town-add').val(arrResult[1]);
            $('#pays-add').val(arrResult[arrResult.length-1]);
            
        }else{
            $('#town-add').val(arrResult[0]);
            $('#pays-add').val(arrResult[arrResult.length-1]);
        }
    },
    setEventForm: function(){
        
        var input = document.getElementById('mazonebiensimple');
        var autocomplete = new google.maps.places.Autocomplete(input);
        google.maps.event.addListener(autocomplete, 'place_changed', function() {
            var place = autocomplete.getPlace();
            
            timeline.setNewEmplacement(place);
        });
        
        /* 
        $("#new-zone-place").geocomplete()
            .bind("geocode:result", function(event, result){
                // console.log(result);
                // console.log(result.formatted_address);
                var arrResult = result.formatted_address.split(", ");
                // console.log(arrResult);
                if(arrResult.length > 3){
                    $('#town-add').val(arrResult[1]);
                    $('#pays-add').val(arrResult[arrResult.length-1]);
                    
                    // $.log("City : " + arrResult[1] + "\nCountry : " +arrResult[arrResult.length-1] );
                }else{
                    $('#town-add').val(arrResult[0]);
                    $('#pays-add').val(arrResult[arrResult.length-1]);
                    // $.log("City : " + arrResult[0] + "\nCountry : " +arrResult[arrResult.length-1] );
                }
            })
            .bind("geocode:error", function(event, status){
                // $.log("ERROR: " + status);
                alert("Error on selecting position !");
            })
            .bind("geocode:multiple", function(event, results){
                alert("Select one place !");
                // $.log("Multiple: " + results.length + " results found");
        });
           */
        
        $('#pagetest_content_menu').off("click", "#btnBackToBB").on("click", '#btnBackToBB', function(){
            timeline.getTimelineContacts();
        });
        
        $('#pagetest_content_menu').off("click", "#btnBBtoSaveBB").on("click", '#btnBBtoSaveBB', function(){
            timeline.saveForm();
        });
        
        $('#pagetest_content_menu').off("click", "#changeFbPerson").on("click", '#changeFbPerson', function(){
            timeline.generateListFacebook();
        });
        
        $('#pagetest_content_menu').off("click", "#star1").on("click", '#star1', function(){
            gloNbStars = 1;
            
            if($('.star1Checkbox').attr('checked')){
                if($('.star2Checkbox').attr('checked')){
                    $('.star2Checkbox').attr("checked", false);
                    $('#star2').removeClass("starIsSelected");
                }
                else{
                    $('.star1Checkbox').attr("checked", false);
                    $('#star1').removeClass("starIsSelected");
                }
                
                if($('.star3Checkbox').attr('checked')){
                    $('.star3Checkbox').attr("checked", false);
                    $('#star3').removeClass("starIsSelected");
                }
                
                if($('.star4Checkbox').attr('checked')){
                    $('.star4Checkbox').attr("checked", false);
                    $('#star4').removeClass("starIsSelected");
                }
                
                if($('.star5Checkbox').attr('checked')){
                    $('.star5Checkbox').attr("checked", false);
                    $('#star5').removeClass("starIsSelected");
                }
            }
            else{
                $('.star1Checkbox').attr("checked", true);
                $('#star1').addClass("starIsSelected");
            }
        });
        $('#pagetest_content_menu').off("click", "#star2").on("click", '#star2', function(){
            gloNbStars = 2;
            if($('.star2Checkbox').attr('checked')){
                if($('.star3Checkbox').attr('checked')){
                    $('.star3Checkbox').attr("checked", false);
                    $('#star3').removeClass("starIsSelected");
                }
                else{
                    $('.star2Checkbox').attr("checked", false);
                    $('#star2').removeClass("starIsSelected");
                }
                
                if($('.star4Checkbox').attr('checked')){
                    $('.star4Checkbox').attr("checked", false);
                    $('#star4').removeClass("starIsSelected");
                }
                
                if($('.star5Checkbox').attr('checked')){
                    $('.star5Checkbox').attr("checked", false);
                    $('#star5').removeClass("starIsSelected");
                }
            }
            else{
            
                $('.star2Checkbox').attr("checked", true);
                $('#star2').addClass("starIsSelected");
                
                if(!$('.star1Checkbox').attr('checked')){
                    $('.star1Checkbox').attr("checked", true);
                    $('#star1').addClass("starIsSelected");
                }
            }
        });
        $('#pagetest_content_menu').off("click", "#star3").on("click", '#star3', function(){
            gloNbStars = 3;
            if($('.star3Checkbox').attr('checked')){			
                if($('.star4Checkbox').attr('checked')){
                    $('.star4Checkbox').attr("checked", false);
                    $('#star4').removeClass("starIsSelected");
                }
                else{
                    $('.star3Checkbox').attr("checked", false);
                    $('#star3').removeClass("starIsSelected");
                }
                
                if($('.star5Checkbox').attr('checked')){
                    $('.star5Checkbox').attr("checked", false);
                    $('#star5').removeClass("starIsSelected");
                }
            }
            else{
                $('.star3Checkbox').attr("checked", true);
                $('#star3').addClass("starIsSelected");
                
                if(!$('.star2Checkbox').attr('checked')){
                    $('.star2Checkbox').attr("checked", true);
                    $('#star2').addClass("starIsSelected");
                }
                
                if(!$('.star1Checkbox').attr('checked')){
                    $('.star1Checkbox').attr("checked", true);
                    $('#star1').addClass("starIsSelected");
                }
            }
        });
        $('#pagetest_content_menu').off("click", "#star4").on("click", '#star4', function(){
            gloNbStars = 4;
            if($('.star4Checkbox').attr('checked')){			
                if($('.star5Checkbox').attr('checked')){
                    $('.star5Checkbox').attr("checked", false);
                    $('#star5').removeClass("starIsSelected");
                }
                else{
                    $('.star4Checkbox').attr("checked", false);
                    $('#star4').removeClass("starIsSelected");
                }
            }
            else{
                $('.star4Checkbox').attr("checked", true);
                $('#star4').addClass("starIsSelected");
                
                if(!$('.star3Checkbox').attr('checked')){
                    $('.star3Checkbox').attr("checked", true);
                    $('#star3').addClass("starIsSelected");
                }
                
                if(!$('.star2Checkbox').attr('checked')){
                    $('.star2Checkbox').attr("checked", true);
                    $('#star2').addClass("starIsSelected");
                }
                
                if(!$('.star1Checkbox').attr('checked')){
                    $('.star1Checkbox').attr("checked", true);
                    $('#star1').addClass("starIsSelected");
                }
            }
        });
        $('#pagetest_content_menu').off("click", "#star5").on("click", '#star5', function(){
            gloNbStars = 5;          
            if($('.star5Checkbox').attr('checked')){
                $('.star5Checkbox').attr("checked", false);
                $('#star5').removeClass("starIsSelected");
            }
            else{
                $('.star5Checkbox').attr("checked", true);
                $('#star5').addClass("starIsSelected");
                
                if(!$('.star4Checkbox').attr('checked')){
                    $('.star4Checkbox').attr("checked", true);
                    $('#star4').addClass("starIsSelected");
                }
                
                if(!$('.star3Checkbox').attr('checked')){
                    $('.star3Checkbox').attr("checked", true);
                    $('#star3').addClass("starIsSelected");
                }
                
                if(!$('.star2Checkbox').attr('checked')){
                    $('.star2Checkbox').attr("checked", true);
                    $('#star2').addClass("starIsSelected");
                }
                
                if(!$('.star1Checkbox').attr('checked')){
                    $('.star1Checkbox').attr("checked", true);
                    $('#star1').addClass("starIsSelected");
                }
            }
        });
    },
    jsDisplayBlackMenu: function(uid,name){
        var htmlFrame = '<div class="" id="theFrameFullScreenFix">' +
                            '<div id="frameBlackFullScreen">' +
                                '<h1>'+ name +'</h1>' +
                                '<div id="frameControlInitPicture">' +
									"<button onclick='timeline.formAdd("+uid+")' class='pink roundCorner'><span class='doe-pictures'></span>" + l_file[actuLang].gModify + "</button>" +
                                    '<br />' +
									"<button onclick='timeline.deleteBlackBook(\""+name+"\","+uid+")' class='pink roundCorner'><span class='doe-close'></span>" + l_file[actuLang].gDelete + "</button>" +
                                    '<br />' +
									"<button onclick='timeline.closeDisplayChoice()' class='darkPink roundCorner'><span class='doe-arrowback'></span>" + l_file[actuLang].gCancel + "</button>" +
                                '</div>' +
                            '</div>' +
                        '</div>';
        
		$(htmlFrame).hide().appendTo('#pagetest_content_menu').fadeIn(1000);
		
    },
	closeDisplayChoice: function(){
        $('#theFrameFullScreenFix').fadeOut(1000, function(){
            $(this).remove();
        });
    },
	modifyBlackBook: function(){
       
    },	
	deleteBlackBook: function(name, id){
        timeline.closeDisplayChoice();
        timeline.sureToRemove(name, id);
    },	
	addBlackBook: function(){
       
    }
};